import{S as Uc,i as Fc,s as xc,e as s,k as m,w as S,t as n,M as jc,c as r,d as o,m as f,a as l,x as w,h as a,b as p,G as e,g as v,y as $,q as y,o as k,B as T,v as Cc,L as B}from"../../chunks/vendor-hf-doc-builder.js";import{T as Io}from"../../chunks/Tip-hf-doc-builder.js";import{D as L}from"../../chunks/Docstring-hf-doc-builder.js";import{C as R}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as ae}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as H}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function qc(U){let c,_,d,h,b;return h=new R({props:{code:`from transformers import UniSpeechSatModel, UniSpeechSatConfig

# Initializing a UniSpeechSat microsoft/unispeech-sat-base-100h-libri-ft style configuration
configuration = UniSpeechSatConfig()

# Initializing a model from the microsoft/unispeech-sat-base-100h-libri-ft style configuration
model = UniSpeechSatModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> UniSpeechSatModel, UniSpeechSatConfig

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a UniSpeechSat microsoft/unispeech-sat-base-100h-libri-ft style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = UniSpeechSatConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model from the microsoft/unispeech-sat-base-100h-libri-ft style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = UniSpeechSatModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){c=s("p"),_=n("Example:"),d=m(),S(h.$$.fragment)},l(i){c=r(i,"P",{});var u=l(c);_=a(u,"Example:"),u.forEach(o),d=f(i),w(h.$$.fragment,i)},m(i,u){v(i,c,u),e(c,_),v(i,d,u),$(h,i,u),b=!0},p:B,i(i){b||(y(h.$$.fragment,i),b=!0)},o(i){k(h.$$.fragment,i),b=!1},d(i){i&&o(c),i&&o(d),T(h,i)}}}function Ec(U){let c,_,d,h,b;return{c(){c=s("p"),_=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=s("code"),h=n("Module"),b=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(i){c=r(i,"P",{});var u=l(c);_=a(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(u,"CODE",{});var F=l(d);h=a(F,"Module"),F.forEach(o),b=a(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(o)},m(i,u){v(i,c,u),e(c,_),e(c,d),e(d,h),e(c,b)},d(i){i&&o(c)}}}function Pc(U){let c,_,d,h,b;return h=new R({props:{code:`from transformers import Wav2Vec2Processor, UniSpeechSatModel
from datasets import load_dataset
import torch

dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")
sampling_rate = dataset.features["audio"].sampling_rate

feature_extractor = Wav2Vec2Processor.from_pretrained("microsoft/unispeech-sat-base-100h-libri-ft")
model = UniSpeechSatModel.from_pretrained("microsoft/unispeech-sat-base-100h-libri-ft")

# audio file is decoded on the fly
inputs = feature_extractor(dataset[0]["audio"]["array"], sampling_rate=sampling_rate, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.argmax(logits, dim=-1).item()
predicted_label = model.config.id2label[predicted_class_ids]
predicted_label`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Wav2Vec2Processor, UniSpeechSatModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampling_rate = dataset.features[<span class="hljs-string">&quot;audio&quot;</span>].sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = Wav2Vec2Processor.from_pretrained(<span class="hljs-string">&quot;microsoft/unispeech-sat-base-100h-libri-ft&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = UniSpeechSatModel.from_pretrained(<span class="hljs-string">&quot;microsoft/unispeech-sat-base-100h-libri-ft&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># audio file is decoded on the fly</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], sampling_rate=sampling_rate, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.argmax(logits, dim=-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = model.config.id2label[predicted_class_ids]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label
[<span class="hljs-number">1</span>, <span class="hljs-number">292</span>, <span class="hljs-number">768</span>]`}}),{c(){c=s("p"),_=n("Example:"),d=m(),S(h.$$.fragment)},l(i){c=r(i,"P",{});var u=l(c);_=a(u,"Example:"),u.forEach(o),d=f(i),w(h.$$.fragment,i)},m(i,u){v(i,c,u),e(c,_),v(i,d,u),$(h,i,u),b=!0},p:B,i(i){b||(y(h.$$.fragment,i),b=!0)},o(i){k(h.$$.fragment,i),b=!1},d(i){i&&o(c),i&&o(d),T(h,i)}}}function Ac(U){let c,_;return c=new R({props:{code:`# compute loss - target_label is e.g. "down"
target_label = model.config.id2label[0]
inputs["labels"] = torch.tensor([model.config.label2id[target_label]])
loss = model(**inputs).loss
round(loss.item(), 2)
`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compute loss - target_label is e.g. &quot;down&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_label = model.config.id2label[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs[<span class="hljs-string">&quot;labels&quot;</span>] = torch.tensor([model.config.label2id[target_label]])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
`}}),{c(){S(c.$$.fragment)},l(d){w(c.$$.fragment,d)},m(d,h){$(c,d,h),_=!0},p:B,i(d){_||(y(c.$$.fragment,d),_=!0)},o(d){k(c.$$.fragment,d),_=!1},d(d){T(c,d)}}}function Mc(U){let c,_,d,h,b;return{c(){c=s("p"),_=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=s("code"),h=n("Module"),b=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(i){c=r(i,"P",{});var u=l(c);_=a(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(u,"CODE",{});var F=l(d);h=a(F,"Module"),F.forEach(o),b=a(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(o)},m(i,u){v(i,c,u),e(c,_),e(c,d),e(d,h),e(c,b)},d(i){i&&o(c)}}}function zc(U){let c,_,d,h,b;return h=new R({props:{code:`from transformers import Wav2Vec2Processor, UniSpeechSatForCTC
from datasets import load_dataset
import torch

dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")
sampling_rate = dataset.features["audio"].sampling_rate

processor = Wav2Vec2Processor.from_pretrained("microsoft/unispeech-sat-base-100h-libri-ft")
model = UniSpeechSatForCTC.from_pretrained("microsoft/unispeech-sat-base-100h-libri-ft")

# audio file is decoded on the fly
inputs = processor(dataset[0]["audio"]["array"], sampling_rate=sampling_rate, return_tensors="pt")
with torch.no_grad():
    logits = model(**inputs).logits
predicted_ids = torch.argmax(logits, dim=-1)

# transcribe speech
transcription = processor.batch_decode(predicted_ids)
transcription[0]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Wav2Vec2Processor, UniSpeechSatForCTC
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampling_rate = dataset.features[<span class="hljs-string">&quot;audio&quot;</span>].sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = Wav2Vec2Processor.from_pretrained(<span class="hljs-string">&quot;microsoft/unispeech-sat-base-100h-libri-ft&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = UniSpeechSatForCTC.from_pretrained(<span class="hljs-string">&quot;microsoft/unispeech-sat-base-100h-libri-ft&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># audio file is decoded on the fly</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], sampling_rate=sampling_rate, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_ids = torch.argmax(logits, dim=-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># transcribe speech</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>transcription = processor.batch_decode(predicted_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span>transcription[<span class="hljs-number">0</span>]
<span class="hljs-string">&#x27;MISTER QUILDER IS THE APOSTLE OF THE MIDDLE CLASSES AND WE ARE GLAD TO WELCOME HIS GOSPEL&#x27;</span>`}}),{c(){c=s("p"),_=n("Example:"),d=m(),S(h.$$.fragment)},l(i){c=r(i,"P",{});var u=l(c);_=a(u,"Example:"),u.forEach(o),d=f(i),w(h.$$.fragment,i)},m(i,u){v(i,c,u),e(c,_),v(i,d,u),$(h,i,u),b=!0},p:B,i(i){b||(y(h.$$.fragment,i),b=!0)},o(i){k(h.$$.fragment,i),b=!1},d(i){i&&o(c),i&&o(d),T(h,i)}}}function Oc(U){let c,_;return c=new R({props:{code:`inputs["labels"] = processor(text=dataset[0]["text"], return_tensors="pt").input_ids

# compute loss
loss = model(**inputs).loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>inputs[<span class="hljs-string">&quot;labels&quot;</span>] = processor(text=dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;text&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compute loss</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">39.88</span>`}}),{c(){S(c.$$.fragment)},l(d){w(c.$$.fragment,d)},m(d,h){$(c,d,h),_=!0},p:B,i(d){_||(y(c.$$.fragment,d),_=!0)},o(d){k(c.$$.fragment,d),_=!1},d(d){T(c,d)}}}function Dc(U){let c,_,d,h,b;return{c(){c=s("p"),_=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=s("code"),h=n("Module"),b=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(i){c=r(i,"P",{});var u=l(c);_=a(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(u,"CODE",{});var F=l(d);h=a(F,"Module"),F.forEach(o),b=a(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(o)},m(i,u){v(i,c,u),e(c,_),e(c,d),e(d,h),e(c,b)},d(i){i&&o(c)}}}function Lc(U){let c,_,d,h,b;return h=new R({props:{code:`from transformers import Wav2Vec2FeatureExtractor, UniSpeechSatForSequenceClassification
from datasets import load_dataset
import torch

dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")
sampling_rate = dataset.features["audio"].sampling_rate

feature_extractor = Wav2Vec2FeatureExtractor.from_pretrained("hf-internal-testing/tiny-random-unispeech-sat")
model = UniSpeechSatForSequenceClassification.from_pretrained("hf-internal-testing/tiny-random-unispeech-sat")

# audio file is decoded on the fly
inputs = feature_extractor(dataset[0]["audio"]["array"], sampling_rate=sampling_rate, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.argmax(logits, dim=-1).item()
predicted_label = model.config.id2label[predicted_class_ids]
predicted_label`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Wav2Vec2FeatureExtractor, UniSpeechSatForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampling_rate = dataset.features[<span class="hljs-string">&quot;audio&quot;</span>].sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = Wav2Vec2FeatureExtractor.from_pretrained(<span class="hljs-string">&quot;hf-internal-testing/tiny-random-unispeech-sat&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = UniSpeechSatForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;hf-internal-testing/tiny-random-unispeech-sat&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># audio file is decoded on the fly</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], sampling_rate=sampling_rate, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.argmax(logits, dim=-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = model.config.id2label[predicted_class_ids]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label
<span class="hljs-string">&#x27;LABEL_1&#x27;</span>`}}),{c(){c=s("p"),_=n("Example:"),d=m(),S(h.$$.fragment)},l(i){c=r(i,"P",{});var u=l(c);_=a(u,"Example:"),u.forEach(o),d=f(i),w(h.$$.fragment,i)},m(i,u){v(i,c,u),e(c,_),v(i,d,u),$(h,i,u),b=!0},p:B,i(i){b||(y(h.$$.fragment,i),b=!0)},o(i){k(h.$$.fragment,i),b=!1},d(i){i&&o(c),i&&o(d),T(h,i)}}}function Vc(U){let c,_;return c=new R({props:{code:`# compute loss - target_label is e.g. "down"
target_label = model.config.id2label[0]
inputs["labels"] = torch.tensor([model.config.label2id[target_label]])
loss = model(**inputs).loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compute loss - target_label is e.g. &quot;down&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_label = model.config.id2label[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs[<span class="hljs-string">&quot;labels&quot;</span>] = torch.tensor([model.config.label2id[target_label]])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">0.71</span>`}}),{c(){S(c.$$.fragment)},l(d){w(c.$$.fragment,d)},m(d,h){$(c,d,h),_=!0},p:B,i(d){_||(y(c.$$.fragment,d),_=!0)},o(d){k(c.$$.fragment,d),_=!1},d(d){T(c,d)}}}function Nc(U){let c,_,d,h,b;return{c(){c=s("p"),_=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=s("code"),h=n("Module"),b=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(i){c=r(i,"P",{});var u=l(c);_=a(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(u,"CODE",{});var F=l(d);h=a(F,"Module"),F.forEach(o),b=a(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(o)},m(i,u){v(i,c,u),e(c,_),e(c,d),e(d,h),e(c,b)},d(i){i&&o(c)}}}function Wc(U){let c,_,d,h,b;return h=new R({props:{code:`from transformers import Wav2Vec2FeatureExtractor, UniSpeechSatForAudioFrameClassification
from datasets import load_dataset
import torch

dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")
sampling_rate = dataset.features["audio"].sampling_rate

feature_extractor = Wav2Vec2FeatureExtractor.from_pretrained("microsoft/unispeech-sat-base-plus-sd")
model = UniSpeechSatForAudioFrameClassification.from_pretrained("microsoft/unispeech-sat-base-plus-sd")

# audio file is decoded on the fly
inputs = feature_extractor(dataset[0]["audio"]["array"], sampling_rate=sampling_rate, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.argmax(logits, dim=-1).item()
predicted_label = model.config.id2label[predicted_class_ids]
predicted_label`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Wav2Vec2FeatureExtractor, UniSpeechSatForAudioFrameClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampling_rate = dataset.features[<span class="hljs-string">&quot;audio&quot;</span>].sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = Wav2Vec2FeatureExtractor.from_pretrained(<span class="hljs-string">&quot;microsoft/unispeech-sat-base-plus-sd&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = UniSpeechSatForAudioFrameClassification.from_pretrained(<span class="hljs-string">&quot;microsoft/unispeech-sat-base-plus-sd&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># audio file is decoded on the fly</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], sampling_rate=sampling_rate, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.argmax(logits, dim=-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = model.config.id2label[predicted_class_ids]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label
[<span class="hljs-number">0</span>, <span class="hljs-number">0</span>]`}}),{c(){c=s("p"),_=n("Example:"),d=m(),S(h.$$.fragment)},l(i){c=r(i,"P",{});var u=l(c);_=a(u,"Example:"),u.forEach(o),d=f(i),w(h.$$.fragment,i)},m(i,u){v(i,c,u),e(c,_),v(i,d,u),$(h,i,u),b=!0},p:B,i(i){b||(y(h.$$.fragment,i),b=!0)},o(i){k(h.$$.fragment,i),b=!1},d(i){i&&o(c),i&&o(d),T(h,i)}}}function Ic(U){let c,_;return c=new R({props:{code:`# compute loss - target_label is e.g. "down"
target_label = model.config.id2label[0]
inputs["labels"] = torch.tensor([model.config.label2id[target_label]])
loss = model(**inputs).loss
round(loss.item(), 2)
`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compute loss - target_label is e.g. &quot;down&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_label = model.config.id2label[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs[<span class="hljs-string">&quot;labels&quot;</span>] = torch.tensor([model.config.label2id[target_label]])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
`}}),{c(){S(c.$$.fragment)},l(d){w(c.$$.fragment,d)},m(d,h){$(c,d,h),_=!0},p:B,i(d){_||(y(c.$$.fragment,d),_=!0)},o(d){k(c.$$.fragment,d),_=!1},d(d){T(c,d)}}}function Xc(U){let c,_,d,h,b;return{c(){c=s("p"),_=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=s("code"),h=n("Module"),b=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(i){c=r(i,"P",{});var u=l(c);_=a(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(u,"CODE",{});var F=l(d);h=a(F,"Module"),F.forEach(o),b=a(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(o)},m(i,u){v(i,c,u),e(c,_),e(c,d),e(d,h),e(c,b)},d(i){i&&o(c)}}}function Hc(U){let c,_,d,h,b;return h=new R({props:{code:`from transformers import Wav2Vec2FeatureExtractor, UniSpeechSatForXVector
from datasets import load_dataset
import torch

dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")
sampling_rate = dataset.features["audio"].sampling_rate

feature_extractor = Wav2Vec2FeatureExtractor.from_pretrained("microsoft/unispeech-sat-base-plus-sv")
model = UniSpeechSatForXVector.from_pretrained("microsoft/unispeech-sat-base-plus-sv")

# audio file is decoded on the fly
inputs = feature_extractor(dataset[0]["audio"]["array"], sampling_rate=sampling_rate, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.argmax(logits, dim=-1).item()
predicted_label = model.config.id2label[predicted_class_ids]
predicted_label`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Wav2Vec2FeatureExtractor, UniSpeechSatForXVector
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampling_rate = dataset.features[<span class="hljs-string">&quot;audio&quot;</span>].sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = Wav2Vec2FeatureExtractor.from_pretrained(<span class="hljs-string">&quot;microsoft/unispeech-sat-base-plus-sv&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = UniSpeechSatForXVector.from_pretrained(<span class="hljs-string">&quot;microsoft/unispeech-sat-base-plus-sv&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># audio file is decoded on the fly</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], sampling_rate=sampling_rate, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.argmax(logits, dim=-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = model.config.id2label[predicted_class_ids]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label
<span class="hljs-number">0.97</span>`}}),{c(){c=s("p"),_=n("Example:"),d=m(),S(h.$$.fragment)},l(i){c=r(i,"P",{});var u=l(c);_=a(u,"Example:"),u.forEach(o),d=f(i),w(h.$$.fragment,i)},m(i,u){v(i,c,u),e(c,_),v(i,d,u),$(h,i,u),b=!0},p:B,i(i){b||(y(h.$$.fragment,i),b=!0)},o(i){k(h.$$.fragment,i),b=!1},d(i){i&&o(c),i&&o(d),T(h,i)}}}function Bc(U){let c,_;return c=new R({props:{code:`# compute loss - target_label is e.g. "down"
target_label = model.config.id2label[0]
inputs["labels"] = torch.tensor([model.config.label2id[target_label]])
loss = model(**inputs).loss
round(loss.item(), 2)
`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compute loss - target_label is e.g. &quot;down&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_label = model.config.id2label[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs[<span class="hljs-string">&quot;labels&quot;</span>] = torch.tensor([model.config.label2id[target_label]])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
`}}),{c(){S(c.$$.fragment)},l(d){w(c.$$.fragment,d)},m(d,h){$(c,d,h),_=!0},p:B,i(d){_||(y(c.$$.fragment,d),_=!0)},o(d){k(c.$$.fragment,d),_=!1},d(d){T(c,d)}}}function Rc(U){let c,_,d,h,b;return{c(){c=s("p"),_=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=s("code"),h=n("Module"),b=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(i){c=r(i,"P",{});var u=l(c);_=a(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(u,"CODE",{});var F=l(d);h=a(F,"Module"),F.forEach(o),b=a(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(o)},m(i,u){v(i,c,u),e(c,_),e(c,d),e(d,h),e(c,b)},d(i){i&&o(c)}}}function Zc(U){let c,_,d,h,b;return h=new R({props:{code:`import torch
from transformers import Wav2Vec2FeatureExtractor, UniSpeechSatForPreTraining
from transformers.models.unispeech_sat.modeling_unispeech_sat import _compute_mask_indices

feature_extractor = Wav2Vec2FeatureExtractor.from_pretrained("microsoft/unispeech-sat-base")
model = UniSpeechSatForPreTraining.from_pretrained("microsoft/unispeech-sat-base")
# TODO: Add full pretraining example`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Wav2Vec2FeatureExtractor, UniSpeechSatForPreTraining
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers.models.unispeech_sat.modeling_unispeech_sat <span class="hljs-keyword">import</span> _compute_mask_indices

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = Wav2Vec2FeatureExtractor.from_pretrained(<span class="hljs-string">&quot;microsoft/unispeech-sat-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = UniSpeechSatForPreTraining.from_pretrained(<span class="hljs-string">&quot;microsoft/unispeech-sat-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># <span class="hljs-doctag">TODO:</span> Add full pretraining example</span>`}}),{c(){c=s("p"),_=n("Example:"),d=m(),S(h.$$.fragment)},l(i){c=r(i,"P",{});var u=l(c);_=a(u,"Example:"),u.forEach(o),d=f(i),w(h.$$.fragment,i)},m(i,u){v(i,c,u),e(c,_),v(i,d,u),$(h,i,u),b=!0},p:B,i(i){b||(y(h.$$.fragment,i),b=!0)},o(i){k(h.$$.fragment,i),b=!1},d(i){i&&o(c),i&&o(d),T(h,i)}}}function Qc(U){let c,_,d,h,b,i,u,F,qa,Mn,se,Ue,Xo,ot,Ea,Ho,Pa,zn,Fe,Aa,nt,Ma,za,On,ho,Oa,Dn,mo,Bo,Da,Ln,fo,La,Vn,Z,at,Va,uo,Na,Wa,Ia,st,Xa,go,Ha,Ba,Ra,Ro,Za,Nn,Q,Qa,rt,Ya,Ja,it,Ga,Ka,Wn,re,xe,Zo,lt,es,Qo,ts,In,V,ct,os,ie,ns,_o,as,ss,dt,rs,is,ls,le,cs,vo,ds,ps,bo,hs,ms,fs,je,Xn,ce,Ce,Yo,pt,us,Jo,gs,Hn,de,ht,_s,mt,vs,Go,bs,Ss,Bn,pe,qe,Ko,ft,ws,en,$s,Rn,q,ut,ys,gt,ks,_t,Ts,Us,Fs,vt,xs,So,js,Cs,qs,bt,Es,St,Ps,As,Ms,A,wt,zs,he,Os,wo,Ds,Ls,tn,Vs,Ns,Ws,Ee,Is,Pe,Xs,Ae,Zn,me,Me,on,$t,Hs,nn,Bs,Qn,E,yt,Rs,fe,Zs,an,Qs,Ys,kt,Js,Gs,Ks,Tt,er,$o,tr,or,nr,Ut,ar,Ft,sr,rr,ir,M,xt,lr,ue,cr,yo,dr,pr,sn,hr,mr,fr,ze,ur,Oe,gr,De,Yn,ge,Le,rn,jt,_r,ln,vr,Jn,x,Ct,br,cn,Sr,wr,qt,$r,Et,yr,kr,Tr,Pt,Ur,ko,Fr,xr,jr,At,Cr,Mt,qr,Er,Pr,z,zt,Ar,_e,Mr,To,zr,Or,dn,Dr,Lr,Vr,Ve,Nr,Ne,Wr,We,Gn,ve,Ie,pn,Ot,Ir,hn,Xr,Kn,j,Dt,Hr,mn,Br,Rr,Lt,Zr,Vt,Qr,Yr,Jr,Nt,Gr,Uo,Kr,ei,ti,Wt,oi,It,ni,ai,si,O,Xt,ri,be,ii,Fo,li,ci,fn,di,pi,hi,Xe,mi,He,fi,Be,ea,Se,Re,un,Ht,ui,gn,gi,ta,C,Bt,_i,_n,vi,bi,Rt,Si,Zt,wi,$i,yi,Qt,ki,xo,Ti,Ui,Fi,Yt,xi,Jt,ji,Ci,qi,D,Gt,Ei,we,Pi,jo,Ai,Mi,vn,zi,Oi,Di,Ze,Li,Qe,Vi,Ye,oa,$e,Je,bn,Kt,Ni,Sn,Wi,na,P,eo,Ii,ye,Xi,wn,Hi,Bi,to,Ri,Zi,Qi,oo,Yi,Co,Ji,Gi,Ki,no,el,ao,tl,ol,nl,N,so,al,ke,sl,qo,rl,il,$n,ll,cl,dl,Ge,pl,Ke,aa;return i=new ae({}),ot=new ae({}),lt=new ae({}),ct=new L({props:{name:"class transformers.UniSpeechSatConfig",anchor:"transformers.UniSpeechSatConfig",parameters:[{name:"vocab_size",val:" = 32"},{name:"hidden_size",val:" = 768"},{name:"num_hidden_layers",val:" = 12"},{name:"num_attention_heads",val:" = 12"},{name:"intermediate_size",val:" = 3072"},{name:"hidden_act",val:" = 'gelu'"},{name:"hidden_dropout",val:" = 0.1"},{name:"activation_dropout",val:" = 0.1"},{name:"attention_dropout",val:" = 0.1"},{name:"feat_proj_dropout",val:" = 0.0"},{name:"feat_quantizer_dropout",val:" = 0.0"},{name:"final_dropout",val:" = 0.1"},{name:"layerdrop",val:" = 0.1"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-05"},{name:"feat_extract_norm",val:" = 'group'"},{name:"feat_extract_activation",val:" = 'gelu'"},{name:"conv_dim",val:" = (512, 512, 512, 512, 512, 512, 512)"},{name:"conv_stride",val:" = (5, 2, 2, 2, 2, 2, 2)"},{name:"conv_kernel",val:" = (10, 3, 3, 3, 3, 2, 2)"},{name:"conv_bias",val:" = False"},{name:"num_conv_pos_embeddings",val:" = 128"},{name:"num_conv_pos_embedding_groups",val:" = 16"},{name:"do_stable_layer_norm",val:" = False"},{name:"apply_spec_augment",val:" = True"},{name:"mask_time_prob",val:" = 0.05"},{name:"mask_time_length",val:" = 10"},{name:"mask_time_min_masks",val:" = 2"},{name:"mask_feature_prob",val:" = 0.0"},{name:"mask_feature_length",val:" = 10"},{name:"mask_feature_min_masks",val:" = 0"},{name:"num_codevectors_per_group",val:" = 320"},{name:"num_codevector_groups",val:" = 2"},{name:"contrastive_logits_temperature",val:" = 0.1"},{name:"num_negatives",val:" = 100"},{name:"codevector_dim",val:" = 256"},{name:"proj_codevector_dim",val:" = 256"},{name:"diversity_loss_weight",val:" = 0.1"},{name:"ctc_loss_reduction",val:" = 'mean'"},{name:"ctc_zero_infinity",val:" = False"},{name:"use_weighted_layer_sum",val:" = False"},{name:"classifier_proj_size",val:" = 256"},{name:"tdnn_dim",val:" = (512, 512, 512, 512, 1500)"},{name:"tdnn_kernel",val:" = (5, 3, 3, 1, 1)"},{name:"tdnn_dilation",val:" = (1, 2, 3, 1, 1)"},{name:"xvector_output_dim",val:" = 512"},{name:"pad_token_id",val:" = 0"},{name:"bos_token_id",val:" = 1"},{name:"eos_token_id",val:" = 2"},{name:"num_clusters",val:" = 504"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.UniSpeechSatConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014;
Vocabulary size of the UniSpeechSat model. Defines the number of different tokens that can be represented
by the <code>inputs_ids</code> passed when calling <a href="/docs/transformers/main/en/model_doc/unispeech-sat#transformers.UniSpeechSatModel">UniSpeechSatModel</a>. Vocabulary size of the model. Defines the
different tokens that can be represented by the <em>inputs_ids</em> passed to the forward method of
<a href="/docs/transformers/main/en/model_doc/unispeech-sat#transformers.UniSpeechSatModel">UniSpeechSatModel</a>.`,name:"vocab_size"},{anchor:"transformers.UniSpeechSatConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.UniSpeechSatConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.UniSpeechSatConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.UniSpeechSatConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (i.e., feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.UniSpeechSatConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.UniSpeechSatConfig.hidden_dropout",description:`<strong>hidden_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout"},{anchor:"transformers.UniSpeechSatConfig.attention_dropout",description:`<strong>attention_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_dropout"},{anchor:"transformers.UniSpeechSatConfig.final_dropout",description:`<strong>final_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for the final projection layer of <a href="/docs/transformers/main/en/model_doc/unispeech-sat#transformers.UniSpeechSatForCTC">UniSpeechSatForCTC</a>.`,name:"final_dropout"},{anchor:"transformers.UniSpeechSatConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.UniSpeechSatConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.UniSpeechSatConfig.feat_extract_norm",description:`<strong>feat_extract_norm</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;group&quot;</code>) &#x2014;
The norm to be applied to 1D convolutional layers in feature encoder. One of <code>&quot;group&quot;</code> for group
normalization of only the first 1D convolutional layer or <code>&quot;layer&quot;</code> for layer normalization of all 1D
convolutional layers.`,name:"feat_extract_norm"},{anchor:"transformers.UniSpeechSatConfig.feat_proj_dropout",description:`<strong>feat_proj_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout probability for output of the feature encoder.`,name:"feat_proj_dropout"},{anchor:"transformers.UniSpeechSatConfig.feat_extract_activation",description:"<strong>feat_extract_activation</strong> (<code>str, </code>optional<code>, defaults to </code>&#x201C;gelu&#x201D;<code>) -- The non-linear activation function (function or string) in the 1D convolutional layers of the feature extractor. If string, </code>&#x201C;gelu&#x201D;<code>, </code>&#x201C;relu&#x201D;<code>, </code>&#x201C;selu&#x201D;<code>and</code>&#x201C;gelu_new&#x201D;` are supported.",name:"feat_extract_activation"},{anchor:"transformers.UniSpeechSatConfig.feat_quantizer_dropout",description:`<strong>feat_quantizer_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout probabilitiy for quantized feature encoder states.`,name:"feat_quantizer_dropout"},{anchor:"transformers.UniSpeechSatConfig.conv_dim",description:`<strong>conv_dim</strong> (<code>Tuple[int]</code> or <code>List[int]</code>, <em>optional</em>, defaults to <code>(512, 512, 512, 512, 512, 512, 512)</code>) &#x2014;
A tuple of integers defining the number of input and output channels of each 1D convolutional layer in the
feature encoder. The length of <em>conv_dim</em> defines the number of 1D convolutional layers.`,name:"conv_dim"},{anchor:"transformers.UniSpeechSatConfig.conv_stride",description:`<strong>conv_stride</strong> (<code>Tuple[int]</code> or <code>List[int]</code>, <em>optional</em>, defaults to <code>(5, 2, 2, 2, 2, 2, 2)</code>) &#x2014;
A tuple of integers defining the stride of each 1D convolutional layer in the feature encoder. The length
of <em>conv_stride</em> defines the number of convolutional layers and has to match the length of <em>conv_dim</em>.`,name:"conv_stride"},{anchor:"transformers.UniSpeechSatConfig.conv_kernel",description:`<strong>conv_kernel</strong> (<code>Tuple[int]</code> or <code>List[int]</code>, <em>optional</em>, defaults to <code>(10, 3, 3, 3, 3, 3, 3)</code>) &#x2014;
A tuple of integers defining the kernel size of each 1D convolutional layer in the feature encoder. The
length of <em>conv_kernel</em> defines the number of convolutional layers and has to match the length of
<em>conv_dim</em>.`,name:"conv_kernel"},{anchor:"transformers.UniSpeechSatConfig.conv_bias",description:`<strong>conv_bias</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether the 1D convolutional layers have a bias.`,name:"conv_bias"},{anchor:"transformers.UniSpeechSatConfig.num_conv_pos_embeddings",description:`<strong>num_conv_pos_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 128) &#x2014;
Number of convolutional positional embeddings. Defines the kernel size of 1D convolutional positional
embeddings layer.`,name:"num_conv_pos_embeddings"},{anchor:"transformers.UniSpeechSatConfig.num_conv_pos_embedding_groups",description:`<strong>num_conv_pos_embedding_groups</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
Number of groups of 1D convolutional positional embeddings layer.`,name:"num_conv_pos_embedding_groups"},{anchor:"transformers.UniSpeechSatConfig.do_stable_layer_norm",description:`<strong>do_stable_layer_norm</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to apply <em>stable</em> layer norm architecture of the Transformer encoder. <code>do_stable_layer_norm is True</code> corresponds to applying layer norm before the attention layer, whereas <code>do_stable_layer_norm is False</code> corresponds to applying layer norm after the attention layer.`,name:"do_stable_layer_norm"},{anchor:"transformers.UniSpeechSatConfig.apply_spec_augment",description:`<strong>apply_spec_augment</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to apply <em>SpecAugment</em> data augmentation to the outputs of the feature encoder. For reference see
<a href="https://arxiv.org/abs/1904.08779" rel="nofollow">SpecAugment: A Simple Data Augmentation Method for Automatic Speech
Recognition</a>.`,name:"apply_spec_augment"},{anchor:"transformers.UniSpeechSatConfig.mask_time_prob",description:`<strong>mask_time_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.05) &#x2014;
Percentage (between 0 and 1) of all feature vectors along the time axis which will be masked. The masking
procecure generates &#x201D;mask_time_prob<em>len(time_axis)/mask_time_length&#x201D; independent masks over the axis. If
reasoning from the propability of each feature vector to be chosen as the start of the vector span to be
masked, </em>mask_time_prob<em> should be \`prob_vector_start</em>mask_time_length<code>. Note that overlap may decrease the actual percentage of masked vectors. This is only relevant if </code>apply_spec_augment is True\`.`,name:"mask_time_prob"},{anchor:"transformers.UniSpeechSatConfig.mask_time_length",description:`<strong>mask_time_length</strong> (<code>int</code>, <em>optional</em>, defaults to 10) &#x2014;
Length of vector span along the time axis.`,name:"mask_time_length"},{anchor:"transformers.UniSpeechSatConfig.mask_time_min_masks",description:`<strong>mask_time_min_masks</strong> (<code>int</code>, <em>optional</em>, defaults to 2), &#x2014;
The minimum number of masks of length <code>mask_feature_length</code> generated along the time axis, each time step,
irrespectively of <code>mask_feature_prob</code>. Only relevant if &#x201D;mask_time_prob*len(time_axis)/mask_time_length &lt;
mask_time_min_masks&#x201D;`,name:"mask_time_min_masks"},{anchor:"transformers.UniSpeechSatConfig.mask_feature_prob",description:`<strong>mask_feature_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Percentage (between 0 and 1) of all feature vectors along the feature axis which will be masked. The
masking procecure generates &#x201D;mask_feature_prob<em>len(feature_axis)/mask_time_length&#x201D; independent masks over
the axis. If reasoning from the propability of each feature vector to be chosen as the start of the vector
span to be masked, </em>mask_feature_prob<em> should be \`prob_vector_start</em>mask_feature_length<code>. Note that overlap may decrease the actual percentage of masked vectors. This is only relevant if </code>apply_spec_augment is
True\`.`,name:"mask_feature_prob"},{anchor:"transformers.UniSpeechSatConfig.mask_feature_length",description:`<strong>mask_feature_length</strong> (<code>int</code>, <em>optional</em>, defaults to 10) &#x2014;
Length of vector span along the feature axis.`,name:"mask_feature_length"},{anchor:"transformers.UniSpeechSatConfig.mask_feature_min_masks",description:`<strong>mask_feature_min_masks</strong> (<code>int</code>, <em>optional</em>, defaults to 0), &#x2014;
The minimum number of masks of length <code>mask_feature_length</code> generated along the feature axis, each time
step, irrespectively of <code>mask_feature_prob</code>. Only relevant if
&#x201D;mask_feature_prob*len(feature_axis)/mask_feature_length &lt; mask_feature_min_masks&#x201D;`,name:"mask_feature_min_masks"},{anchor:"transformers.UniSpeechSatConfig.num_codevectors_per_group",description:`<strong>num_codevectors_per_group</strong> (<code>int</code>, <em>optional</em>, defaults to 320) &#x2014;
Number of entries in each quantization codebook (group).`,name:"num_codevectors_per_group"},{anchor:"transformers.UniSpeechSatConfig.num_codevector_groups",description:`<strong>num_codevector_groups</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
Number of codevector groups for product codevector quantization.`,name:"num_codevector_groups"},{anchor:"transformers.UniSpeechSatConfig.contrastive_logits_temperature",description:`<strong>contrastive_logits_temperature</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The temperature <em>kappa</em> in the contrastive loss.`,name:"contrastive_logits_temperature"},{anchor:"transformers.UniSpeechSatConfig.feat_quantizer_dropout",description:`<strong>feat_quantizer_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout probabilitiy for the output of the feature encoder that&#x2019;s used by the quantizer.`,name:"feat_quantizer_dropout"},{anchor:"transformers.UniSpeechSatConfig.num_negatives",description:`<strong>num_negatives</strong> (<code>int</code>, <em>optional</em>, defaults to 100) &#x2014;
Number of negative samples for the contrastive loss.`,name:"num_negatives"},{anchor:"transformers.UniSpeechSatConfig.codevector_dim",description:`<strong>codevector_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 256) &#x2014;
Dimensionality of the quantized feature vectors.`,name:"codevector_dim"},{anchor:"transformers.UniSpeechSatConfig.proj_codevector_dim",description:`<strong>proj_codevector_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 256) &#x2014;
Dimensionality of the final projection of both the quantized and the transformer features.`,name:"proj_codevector_dim"},{anchor:"transformers.UniSpeechSatConfig.diversity_loss_weight",description:`<strong>diversity_loss_weight</strong> (<code>int</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The weight of the codebook diversity loss component.`,name:"diversity_loss_weight"},{anchor:"transformers.UniSpeechSatConfig.ctc_loss_reduction",description:`<strong>ctc_loss_reduction</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;mean&quot;</code>) &#x2014;
Specifies the reduction to apply to the output of <code>torch.nn.CTCLoss</code>. Only relevant when training an
instance of <a href="/docs/transformers/main/en/model_doc/unispeech-sat#transformers.UniSpeechSatForCTC">UniSpeechSatForCTC</a>.`,name:"ctc_loss_reduction"},{anchor:"transformers.UniSpeechSatConfig.ctc_zero_infinity",description:`<strong>ctc_zero_infinity</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to zero infinite losses and the associated gradients of <code>torch.nn.CTCLoss</code>. Infinite losses mainly
occur when the inputs are too short to be aligned to the targets. Only relevant when training an instance
of <a href="/docs/transformers/main/en/model_doc/unispeech-sat#transformers.UniSpeechSatForCTC">UniSpeechSatForCTC</a>.`,name:"ctc_zero_infinity"},{anchor:"transformers.UniSpeechSatConfig.use_weighted_layer_sum",description:`<strong>use_weighted_layer_sum</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use a weighted average of layer outputs with learned weights. Only relevant when using an
instance of <a href="/docs/transformers/main/en/model_doc/unispeech-sat#transformers.UniSpeechSatForSequenceClassification">UniSpeechSatForSequenceClassification</a>.`,name:"use_weighted_layer_sum"},{anchor:"transformers.UniSpeechSatConfig.classifier_proj_size",description:`<strong>classifier_proj_size</strong> (<code>int</code>, <em>optional</em>, defaults to 256) &#x2014;
Dimensionality of the projection before token mean-pooling for classification.`,name:"classifier_proj_size"},{anchor:"transformers.UniSpeechSatConfig.tdnn_dim",description:`<strong>tdnn_dim</strong> (<code>Tuple[int]</code> or <code>List[int]</code>, <em>optional</em>, defaults to <code>(512, 512, 512, 512, 1500)</code>) &#x2014;
A tuple of integers defining the number of output channels of each 1D convolutional layer in the <em>TDNN</em>
module of the <em>XVector</em> model. The length of <em>tdnn_dim</em> defines the number of <em>TDNN</em> layers.`,name:"tdnn_dim"},{anchor:"transformers.UniSpeechSatConfig.tdnn_kernel",description:`<strong>tdnn_kernel</strong> (<code>Tuple[int]</code> or <code>List[int]</code>, <em>optional</em>, defaults to <code>(5, 3, 3, 1, 1)</code>) &#x2014;
A tuple of integers defining the kernel size of each 1D convolutional layer in the <em>TDNN</em> module of the
<em>XVector</em> model. The length of <em>tdnn_kernel</em> has to match the length of <em>tdnn_dim</em>.`,name:"tdnn_kernel"},{anchor:"transformers.UniSpeechSatConfig.tdnn_dilation",description:`<strong>tdnn_dilation</strong> (<code>Tuple[int]</code> or <code>List[int]</code>, <em>optional</em>, defaults to <code>(1, 2, 3, 1, 1)</code>) &#x2014;
A tuple of integers defining the dilation factor of each 1D convolutional layer in <em>TDNN</em> module of the
<em>XVector</em> model. The length of <em>tdnn_dilation</em> has to match the length of <em>tdnn_dim</em>.`,name:"tdnn_dilation"},{anchor:"transformers.UniSpeechSatConfig.xvector_output_dim",description:`<strong>xvector_output_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
Dimensionality of the <em>XVector</em> embedding vectors.`,name:"xvector_output_dim"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/unispeech_sat/configuration_unispeech_sat.py#L34"}}),je=new H({props:{anchor:"transformers.UniSpeechSatConfig.example",$$slots:{default:[qc]},$$scope:{ctx:U}}}),pt=new ae({}),ht=new L({props:{name:"class transformers.models.unispeech_sat.modeling_unispeech_sat.UniSpeechSatForPreTrainingOutput",anchor:"transformers.models.unispeech_sat.modeling_unispeech_sat.UniSpeechSatForPreTrainingOutput",parameters:[{name:"loss",val:": typing.Optional[torch.FloatTensor] = None"},{name:"logits",val:": FloatTensor = None"},{name:"projected_states",val:": FloatTensor = None"},{name:"projected_quantized_states",val:": FloatTensor = None"},{name:"codevector_perplexity",val:": FloatTensor = None"},{name:"hidden_states",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"attentions",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"}],parametersDescription:[{anchor:"transformers.models.unispeech_sat.modeling_unispeech_sat.UniSpeechSatForPreTrainingOutput.loss",description:`<strong>loss</strong> (<em>optional</em>, returned when model is in train mode, <code>torch.FloatTensor</code> of shape <code>(1,)</code>) &#x2014;
Total loss as the sum of the contrastive loss (L_m) and the diversity loss (L_d) as stated in the <a href="https://arxiv.org/pdf/2006.11477.pdf" rel="nofollow">official
paper</a> . (classification) loss.`,name:"loss"},{anchor:"transformers.models.unispeech_sat.modeling_unispeech_sat.UniSpeechSatForPreTrainingOutput.projected_states",description:`<strong>projected_states</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.proj_codevector_dim)</code>) &#x2014;
Hidden-states of the model projected to <em>config.proj_codevector_dim</em> that can be used to predict the masked
projected quantized states.`,name:"projected_states"},{anchor:"transformers.models.unispeech_sat.modeling_unispeech_sat.UniSpeechSatForPreTrainingOutput.projected_quantized_states",description:`<strong>projected_quantized_states</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.proj_codevector_dim)</code>) &#x2014;
Quantized extracted feature vectors projected to <em>config.proj_codevector_dim</em> representing the positive
target vectors for contrastive loss.`,name:"projected_quantized_states"},{anchor:"transformers.models.unispeech_sat.modeling_unispeech_sat.UniSpeechSatForPreTrainingOutput.hidden_states",description:`<strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.`,name:"hidden_states"},{anchor:"transformers.models.unispeech_sat.modeling_unispeech_sat.UniSpeechSatForPreTrainingOutput.attentions",description:`<strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.`,name:"attentions"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/unispeech_sat/modeling_unispeech_sat.py#L88"}}),ft=new ae({}),ut=new L({props:{name:"class transformers.UniSpeechSatModel",anchor:"transformers.UniSpeechSatModel",parameters:[{name:"config",val:": UniSpeechSatConfig"}],parametersDescription:[{anchor:"transformers.UniSpeechSatModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/unispeech-sat#transformers.UniSpeechSatConfig">UniSpeechSatConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/unispeech_sat/modeling_unispeech_sat.py#L1088"}}),wt=new L({props:{name:"forward",anchor:"transformers.UniSpeechSatModel.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor]"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"mask_time_indices",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.UniSpeechSatModel.forward.input_values",description:`<strong>input_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform. Values can be obtained by loading a <em>.flac</em> or <em>.wav</em> audio file
into an array of type <em>List[float]</em> or a <em>numpy.ndarray</em>, <em>e.g.</em> via the soundfile library (<em>pip install
soundfile</em>). To prepare the array into <em>input_values</em>, the <code>UniSpeechSatProcessor</code> should be used for
padding and conversion into a tensor of type <em>torch.FloatTensor</em>. See <code>UniSpeechSatProcessor.__call__</code>
for details.`,name:"input_values"},{anchor:"transformers.UniSpeechSatModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing convolution and attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p><code>attention_mask</code> should only be passed if the corresponding processor has <code>config.return_attention_mask == True</code>. For all models whose processor has <code>config.return_attention_mask == False</code>, such as
<a href="https://huggingface.co/microsoft/unispeech-sat-base-100h-libri-ft" rel="nofollow">microsoft/unispeech-sat-base-100h-libri-ft</a>,
<code>attention_mask</code> should <strong>not</strong> be passed to avoid degraded performance when doing batched inference. For
such models <code>input_values</code> should simply be padded with 0 and passed without <code>attention_mask</code>. Be aware
that these models also yield slightly different results depending on whether <code>input_values</code> is padded or
not.</p>

					</div>`,name:"attention_mask"},{anchor:"transformers.UniSpeechSatModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.UniSpeechSatModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.UniSpeechSatModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/unispeech_sat/modeling_unispeech_sat.py#L1152",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Wav2Vec2BaseModelOutput"
>transformers.modeling_outputs.Wav2Vec2BaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/unispeech-sat#transformers.UniSpeechSatConfig"
>UniSpeechSatConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>extract_features</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, conv_dim[-1])</code>) \u2014 Sequence of extracted feature vectors of the last convolutional layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Wav2Vec2BaseModelOutput"
>transformers.modeling_outputs.Wav2Vec2BaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ee=new Io({props:{$$slots:{default:[Ec]},$$scope:{ctx:U}}}),Pe=new H({props:{anchor:"transformers.UniSpeechSatModel.forward.example",$$slots:{default:[Pc]},$$scope:{ctx:U}}}),Ae=new H({props:{anchor:"transformers.UniSpeechSatModel.forward.example-2",$$slots:{default:[Ac]},$$scope:{ctx:U}}}),$t=new ae({}),yt=new L({props:{name:"class transformers.UniSpeechSatForCTC",anchor:"transformers.UniSpeechSatForCTC",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.UniSpeechSatForCTC.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/unispeech-sat#transformers.UniSpeechSatConfig">UniSpeechSatConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/unispeech_sat/modeling_unispeech_sat.py#L1352"}}),xt=new L({props:{name:"forward",anchor:"transformers.UniSpeechSatForCTC.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor]"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"}],parametersDescription:[{anchor:"transformers.UniSpeechSatForCTC.forward.input_values",description:`<strong>input_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform. Values can be obtained by loading a <em>.flac</em> or <em>.wav</em> audio file
into an array of type <em>List[float]</em> or a <em>numpy.ndarray</em>, <em>e.g.</em> via the soundfile library (<em>pip install
soundfile</em>). To prepare the array into <em>input_values</em>, the <code>UniSpeechSatProcessor</code> should be used for
padding and conversion into a tensor of type <em>torch.FloatTensor</em>. See <code>UniSpeechSatProcessor.__call__</code>
for details.`,name:"input_values"},{anchor:"transformers.UniSpeechSatForCTC.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing convolution and attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p><code>attention_mask</code> should only be passed if the corresponding processor has <code>config.return_attention_mask == True</code>. For all models whose processor has <code>config.return_attention_mask == False</code>, such as
<a href="https://huggingface.co/microsoft/unispeech-sat-base-100h-libri-ft" rel="nofollow">microsoft/unispeech-sat-base-100h-libri-ft</a>,
<code>attention_mask</code> should <strong>not</strong> be passed to avoid degraded performance when doing batched inference. For
such models <code>input_values</code> should simply be padded with 0 and passed without <code>attention_mask</code>. Be aware
that these models also yield slightly different results depending on whether <code>input_values</code> is padded or
not.</p>

					</div>`,name:"attention_mask"},{anchor:"transformers.UniSpeechSatForCTC.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.UniSpeechSatForCTC.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.UniSpeechSatForCTC.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.UniSpeechSatForCTC.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_length)</code>, <em>optional</em>) &#x2014;
Labels for connectionist temporal classification. Note that <code>target_length</code> has to be smaller or equal to
the sequence length of the output logits. Indices are selected in <code>[-100, 0, ..., config.vocab_size - 1]</code>.
All labels set to <code>-100</code> are ignored (masked), the loss is only computed for labels in <code>[0, ..., config.vocab_size - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/unispeech_sat/modeling_unispeech_sat.py#L1393",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutput"
>transformers.modeling_outputs.CausalLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/unispeech-sat#transformers.UniSpeechSatConfig"
>UniSpeechSatConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutput"
>transformers.modeling_outputs.CausalLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ze=new Io({props:{$$slots:{default:[Mc]},$$scope:{ctx:U}}}),Oe=new H({props:{anchor:"transformers.UniSpeechSatForCTC.forward.example",$$slots:{default:[zc]},$$scope:{ctx:U}}}),De=new H({props:{anchor:"transformers.UniSpeechSatForCTC.forward.example-2",$$slots:{default:[Oc]},$$scope:{ctx:U}}}),jt=new ae({}),Ct=new L({props:{name:"class transformers.UniSpeechSatForSequenceClassification",anchor:"transformers.UniSpeechSatForSequenceClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.UniSpeechSatForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/unispeech-sat#transformers.UniSpeechSatConfig">UniSpeechSatConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/unispeech_sat/modeling_unispeech_sat.py#L1483"}}),zt=new L({props:{name:"forward",anchor:"transformers.UniSpeechSatForSequenceClassification.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor]"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"}],parametersDescription:[{anchor:"transformers.UniSpeechSatForSequenceClassification.forward.input_values",description:`<strong>input_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform. Values can be obtained by loading a <em>.flac</em> or <em>.wav</em> audio file
into an array of type <em>List[float]</em> or a <em>numpy.ndarray</em>, <em>e.g.</em> via the soundfile library (<em>pip install
soundfile</em>). To prepare the array into <em>input_values</em>, the <code>UniSpeechSatProcessor</code> should be used for
padding and conversion into a tensor of type <em>torch.FloatTensor</em>. See <code>UniSpeechSatProcessor.__call__</code>
for details.`,name:"input_values"},{anchor:"transformers.UniSpeechSatForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing convolution and attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p><code>attention_mask</code> should only be passed if the corresponding processor has <code>config.return_attention_mask == True</code>. For all models whose processor has <code>config.return_attention_mask == False</code>, such as
<a href="https://huggingface.co/microsoft/unispeech-sat-base-100h-libri-ft" rel="nofollow">microsoft/unispeech-sat-base-100h-libri-ft</a>,
<code>attention_mask</code> should <strong>not</strong> be passed to avoid degraded performance when doing batched inference. For
such models <code>input_values</code> should simply be padded with 0 and passed without <code>attention_mask</code>. Be aware
that these models also yield slightly different results depending on whether <code>input_values</code> is padded or
not.</p>

					</div>`,name:"attention_mask"},{anchor:"transformers.UniSpeechSatForSequenceClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.UniSpeechSatForSequenceClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.UniSpeechSatForSequenceClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.UniSpeechSatForSequenceClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/unispeech_sat/modeling_unispeech_sat.py#L1528",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/unispeech-sat#transformers.UniSpeechSatConfig"
>UniSpeechSatConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ve=new Io({props:{$$slots:{default:[Dc]},$$scope:{ctx:U}}}),Ne=new H({props:{anchor:"transformers.UniSpeechSatForSequenceClassification.forward.example",$$slots:{default:[Lc]},$$scope:{ctx:U}}}),We=new H({props:{anchor:"transformers.UniSpeechSatForSequenceClassification.forward.example-2",$$slots:{default:[Vc]},$$scope:{ctx:U}}}),Ot=new ae({}),Dt=new L({props:{name:"class transformers.UniSpeechSatForAudioFrameClassification",anchor:"transformers.UniSpeechSatForAudioFrameClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.UniSpeechSatForAudioFrameClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/unispeech-sat#transformers.UniSpeechSatConfig">UniSpeechSatConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/unispeech_sat/modeling_unispeech_sat.py#L1607"}}),Xt=new L({props:{name:"forward",anchor:"transformers.UniSpeechSatForAudioFrameClassification.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor]"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.UniSpeechSatForAudioFrameClassification.forward.input_values",description:`<strong>input_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform. Values can be obtained by loading a <em>.flac</em> or <em>.wav</em> audio file
into an array of type <em>List[float]</em> or a <em>numpy.ndarray</em>, <em>e.g.</em> via the soundfile library (<em>pip install
soundfile</em>). To prepare the array into <em>input_values</em>, the <code>UniSpeechSatProcessor</code> should be used for
padding and conversion into a tensor of type <em>torch.FloatTensor</em>. See <code>UniSpeechSatProcessor.__call__</code>
for details.`,name:"input_values"},{anchor:"transformers.UniSpeechSatForAudioFrameClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing convolution and attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p><code>attention_mask</code> should only be passed if the corresponding processor has <code>config.return_attention_mask == True</code>. For all models whose processor has <code>config.return_attention_mask == False</code>, such as
<a href="https://huggingface.co/microsoft/unispeech-sat-base-100h-libri-ft" rel="nofollow">microsoft/unispeech-sat-base-100h-libri-ft</a>,
<code>attention_mask</code> should <strong>not</strong> be passed to avoid degraded performance when doing batched inference. For
such models <code>input_values</code> should simply be padded with 0 and passed without <code>attention_mask</code>. Be aware
that these models also yield slightly different results depending on whether <code>input_values</code> is padded or
not.</p>

					</div>`,name:"attention_mask"},{anchor:"transformers.UniSpeechSatForAudioFrameClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.UniSpeechSatForAudioFrameClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.UniSpeechSatForAudioFrameClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.UniSpeechSatForAudioFrameClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/unispeech_sat/modeling_unispeech_sat.py#L1652",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/unispeech-sat#transformers.UniSpeechSatConfig"
>UniSpeechSatConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided)  \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Xe=new Io({props:{$$slots:{default:[Nc]},$$scope:{ctx:U}}}),He=new H({props:{anchor:"transformers.UniSpeechSatForAudioFrameClassification.forward.example",$$slots:{default:[Wc]},$$scope:{ctx:U}}}),Be=new H({props:{anchor:"transformers.UniSpeechSatForAudioFrameClassification.forward.example-2",$$slots:{default:[Ic]},$$scope:{ctx:U}}}),Ht=new ae({}),Bt=new L({props:{name:"class transformers.UniSpeechSatForXVector",anchor:"transformers.UniSpeechSatForXVector",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.UniSpeechSatForXVector.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/unispeech-sat#transformers.UniSpeechSatConfig">UniSpeechSatConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/unispeech_sat/modeling_unispeech_sat.py#L1773"}}),Gt=new L({props:{name:"forward",anchor:"transformers.UniSpeechSatForXVector.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor]"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"}],parametersDescription:[{anchor:"transformers.UniSpeechSatForXVector.forward.input_values",description:`<strong>input_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform. Values can be obtained by loading a <em>.flac</em> or <em>.wav</em> audio file
into an array of type <em>List[float]</em> or a <em>numpy.ndarray</em>, <em>e.g.</em> via the soundfile library (<em>pip install
soundfile</em>). To prepare the array into <em>input_values</em>, the <code>UniSpeechSatProcessor</code> should be used for
padding and conversion into a tensor of type <em>torch.FloatTensor</em>. See <code>UniSpeechSatProcessor.__call__</code>
for details.`,name:"input_values"},{anchor:"transformers.UniSpeechSatForXVector.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing convolution and attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p><code>attention_mask</code> should only be passed if the corresponding processor has <code>config.return_attention_mask == True</code>. For all models whose processor has <code>config.return_attention_mask == False</code>, such as
<a href="https://huggingface.co/microsoft/unispeech-sat-base-100h-libri-ft" rel="nofollow">microsoft/unispeech-sat-base-100h-libri-ft</a>,
<code>attention_mask</code> should <strong>not</strong> be passed to avoid degraded performance when doing batched inference. For
such models <code>input_values</code> should simply be padded with 0 and passed without <code>attention_mask</code>. Be aware
that these models also yield slightly different results depending on whether <code>input_values</code> is padded or
not.</p>

					</div>`,name:"attention_mask"},{anchor:"transformers.UniSpeechSatForXVector.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.UniSpeechSatForXVector.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.UniSpeechSatForXVector.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.UniSpeechSatForXVector.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/unispeech_sat/modeling_unispeech_sat.py#L1835",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.XVectorOutput"
>transformers.modeling_outputs.XVectorOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/unispeech-sat#transformers.UniSpeechSatConfig"
>UniSpeechSatConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.xvector_output_dim)</code>) \u2014 Classification hidden states before AMSoftmax.</p>
</li>
<li>
<p><strong>embeddings</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.xvector_output_dim)</code>) \u2014 Utterance embeddings used for vector similarity-based retrieval.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.XVectorOutput"
>transformers.modeling_outputs.XVectorOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ze=new Io({props:{$$slots:{default:[Xc]},$$scope:{ctx:U}}}),Qe=new H({props:{anchor:"transformers.UniSpeechSatForXVector.forward.example",$$slots:{default:[Hc]},$$scope:{ctx:U}}}),Ye=new H({props:{anchor:"transformers.UniSpeechSatForXVector.forward.example-2",$$slots:{default:[Bc]},$$scope:{ctx:U}}}),Kt=new ae({}),eo=new L({props:{name:"class transformers.UniSpeechSatForPreTraining",anchor:"transformers.UniSpeechSatForPreTraining",parameters:[{name:"config",val:": UniSpeechSatConfig"}],parametersDescription:[{anchor:"transformers.UniSpeechSatForPreTraining.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/unispeech-sat#transformers.UniSpeechSatConfig">UniSpeechSatConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/unispeech_sat/modeling_unispeech_sat.py#L1210"}}),so=new L({props:{name:"forward",anchor:"transformers.UniSpeechSatForPreTraining.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor]"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.UniSpeechSatForPreTraining.forward.input_values",description:`<strong>input_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform. Values can be obtained by loading a <em>.flac</em> or <em>.wav</em> audio file
into an array of type <em>List[float]</em> or a <em>numpy.ndarray</em>, <em>e.g.</em> via the soundfile library (<em>pip install
soundfile</em>). To prepare the array into <em>input_values</em>, the <code>UniSpeechSatProcessor</code> should be used for
padding and conversion into a tensor of type <em>torch.FloatTensor</em>. See <code>UniSpeechSatProcessor.__call__</code>
for details.`,name:"input_values"},{anchor:"transformers.UniSpeechSatForPreTraining.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing convolution and attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p><code>attention_mask</code> should only be passed if the corresponding processor has <code>config.return_attention_mask == True</code>. For all models whose processor has <code>config.return_attention_mask == False</code>, such as
<a href="https://huggingface.co/microsoft/unispeech-sat-base-100h-libri-ft" rel="nofollow">microsoft/unispeech-sat-base-100h-libri-ft</a>,
<code>attention_mask</code> should <strong>not</strong> be passed to avoid degraded performance when doing batched inference. For
such models <code>input_values</code> should simply be padded with 0 and passed without <code>attention_mask</code>. Be aware
that these models also yield slightly different results depending on whether <code>input_values</code> is padded or
not.</p>

					</div>`,name:"attention_mask"},{anchor:"transformers.UniSpeechSatForPreTraining.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.UniSpeechSatForPreTraining.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.UniSpeechSatForPreTraining.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/unispeech_sat/modeling_unispeech_sat.py#L1278",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/model_doc/unispeech-sat#transformers.models.unispeech_sat.modeling_unispeech_sat.UniSpeechSatForPreTrainingOutput"
>transformers.models.unispeech_sat.modeling_unispeech_sat.UniSpeechSatForPreTrainingOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/unispeech-sat#transformers.UniSpeechSatConfig"
>UniSpeechSatConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<em>optional</em>, returned when model is in train mode, <code>torch.FloatTensor</code> of shape <code>(1,)</code>) \u2014 Total loss as the sum of the contrastive loss (L_m) and the diversity loss (L_d) as stated in the <a
  href="https://arxiv.org/pdf/2006.11477.pdf"
  rel="nofollow"
>official
paper</a> . (classification) loss.</p>
</li>
<li>
<p><strong>projected_states</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.proj_codevector_dim)</code>) \u2014 Hidden-states of the model projected to <em>config.proj_codevector_dim</em> that can be used to predict the masked
projected quantized states.</p>
</li>
<li>
<p><strong>projected_quantized_states</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.proj_codevector_dim)</code>) \u2014 Quantized extracted feature vectors projected to <em>config.proj_codevector_dim</em> representing the positive
target vectors for contrastive loss.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/model_doc/unispeech-sat#transformers.models.unispeech_sat.modeling_unispeech_sat.UniSpeechSatForPreTrainingOutput"
>transformers.models.unispeech_sat.modeling_unispeech_sat.UniSpeechSatForPreTrainingOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ge=new Io({props:{$$slots:{default:[Rc]},$$scope:{ctx:U}}}),Ke=new H({props:{anchor:"transformers.UniSpeechSatForPreTraining.forward.example",$$slots:{default:[Zc]},$$scope:{ctx:U}}}),{c(){c=s("meta"),_=m(),d=s("h1"),h=s("a"),b=s("span"),S(i.$$.fragment),u=m(),F=s("span"),qa=n("UniSpeech-SAT"),Mn=m(),se=s("h2"),Ue=s("a"),Xo=s("span"),S(ot.$$.fragment),Ea=m(),Ho=s("span"),Pa=n("Overview"),zn=m(),Fe=s("p"),Aa=n("The UniSpeech-SAT model was proposed in "),nt=s("a"),Ma=n(`UniSpeech-SAT: Universal Speech Representation Learning with Speaker Aware
Pre-Training`),za=n(` by Sanyuan Chen, Yu Wu, Chengyi Wang, Zhengyang Chen, Zhuo Chen,
Shujie Liu, Jian Wu, Yao Qian, Furu Wei, Jinyu Li, Xiangzhan Yu .`),On=m(),ho=s("p"),Oa=n("The abstract from the paper is the following:"),Dn=m(),mo=s("p"),Bo=s("em"),Da=n(`Self-supervised learning (SSL) is a long-standing goal for speech processing, since it utilizes large-scale unlabeled
data and avoids extensive human labeling. Recent years witness great successes in applying self-supervised learning in
speech recognition, while limited exploration was attempted in applying SSL for modeling speaker characteristics. In
this paper, we aim to improve the existing SSL framework for speaker representation learning. Two methods are
introduced for enhancing the unsupervised speaker information extraction. First, we apply the multi-task learning to
the current SSL framework, where we integrate the utterance-wise contrastive loss with the SSL objective function.
Second, for better speaker discrimination, we propose an utterance mixing strategy for data augmentation, where
additional overlapped utterances are created unsupervisely and incorporate during training. We integrate the proposed
methods into the HuBERT framework. Experiment results on SUPERB benchmark show that the proposed system achieves
state-of-the-art performance in universal representation learning, especially for speaker identification oriented
tasks. An ablation study is performed verifying the efficacy of each proposed method. Finally, we scale up training
dataset to 94 thousand hours public audio data and achieve further performance improvement in all SUPERB tasks.`),Ln=m(),fo=s("p"),La=n("Tips:"),Vn=m(),Z=s("ul"),at=s("li"),Va=n(`UniSpeechSat is a speech model that accepts a float array corresponding to the raw waveform of the speech signal.
Please use `),uo=s("a"),Na=n("Wav2Vec2Processor"),Wa=n(" for the feature extraction."),Ia=m(),st=s("li"),Xa=n(`UniSpeechSat model can be fine-tuned using connectionist temporal classification (CTC) so the model output has to be
decoded using `),go=s("a"),Ha=n("Wav2Vec2CTCTokenizer"),Ba=n("."),Ra=m(),Ro=s("li"),Za=n("UniSpeechSat performs especially well on speaker verification, speaker identification, and speaker diarization tasks."),Nn=m(),Q=s("p"),Qa=n("This model was contributed by "),rt=s("a"),Ya=n("patrickvonplaten"),Ja=n(`. The Authors\u2019 code can be
found `),it=s("a"),Ga=n("here"),Ka=n("."),Wn=m(),re=s("h2"),xe=s("a"),Zo=s("span"),S(lt.$$.fragment),es=m(),Qo=s("span"),ts=n("UniSpeechSatConfig"),In=m(),V=s("div"),S(ct.$$.fragment),os=m(),ie=s("p"),ns=n("This is the configuration class to store the configuration of a "),_o=s("a"),as=n("UniSpeechSatModel"),ss=n(`. It is used to instantiate an
UniSpeechSat model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the UniSpeechSat
`),dt=s("a"),rs=n("microsoft/unispeech-sat-base-100h-libri-ft"),is=n(`
architecture.`),ls=m(),le=s("p"),cs=n("Configuration objects inherit from "),vo=s("a"),ds=n("PretrainedConfig"),ps=n(` and can be used to control the model outputs. Read the
documentation from `),bo=s("a"),hs=n("PretrainedConfig"),ms=n(" for more information."),fs=m(),S(je.$$.fragment),Xn=m(),ce=s("h2"),Ce=s("a"),Yo=s("span"),S(pt.$$.fragment),us=m(),Jo=s("span"),gs=n("UniSpeechSat specific outputs"),Hn=m(),de=s("div"),S(ht.$$.fragment),_s=m(),mt=s("p"),vs=n("Output type of "),Go=s("code"),bs=n("UniSpeechSatForPreTrainingOutput"),Ss=n(", with potential hidden states and attentions."),Bn=m(),pe=s("h2"),qe=s("a"),Ko=s("span"),S(ft.$$.fragment),ws=m(),en=s("span"),$s=n("UniSpeechSatModel"),Rn=m(),q=s("div"),S(ut.$$.fragment),ys=m(),gt=s("p"),ks=n(`The bare UniSpeechSat Model transformer outputting raw hidden-states without any specific head on top.
UniSpeechSat was proposed in `),_t=s("a"),Ts=n(`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),Us=n(` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),Fs=m(),vt=s("p"),xs=n("This model inherits from "),So=s("a"),js=n("PreTrainedModel"),Cs=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),qs=m(),bt=s("p"),Es=n("This model is a PyTorch "),St=s("a"),Ps=n("torch.nn.Module"),As=n(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Ms=m(),A=s("div"),S(wt.$$.fragment),zs=m(),he=s("p"),Os=n("The "),wo=s("a"),Ds=n("UniSpeechSatModel"),Ls=n(" forward method, overrides the "),tn=s("code"),Vs=n("__call__"),Ns=n(" special method."),Ws=m(),S(Ee.$$.fragment),Is=m(),S(Pe.$$.fragment),Xs=m(),S(Ae.$$.fragment),Zn=m(),me=s("h2"),Me=s("a"),on=s("span"),S($t.$$.fragment),Hs=m(),nn=s("span"),Bs=n("UniSpeechSatForCTC"),Qn=m(),E=s("div"),S(yt.$$.fragment),Rs=m(),fe=s("p"),Zs=n("UniSpeechSat Model with a "),an=s("code"),Qs=n("language modeling"),Ys=n(` head on top for Connectionist Temporal Classification (CTC).
UniSpeechSat was proposed in `),kt=s("a"),Js=n(`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),Gs=n(` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),Ks=m(),Tt=s("p"),er=n("This model inherits from "),$o=s("a"),tr=n("PreTrainedModel"),or=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),nr=m(),Ut=s("p"),ar=n("This model is a PyTorch "),Ft=s("a"),sr=n("torch.nn.Module"),rr=n(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),ir=m(),M=s("div"),S(xt.$$.fragment),lr=m(),ue=s("p"),cr=n("The "),yo=s("a"),dr=n("UniSpeechSatForCTC"),pr=n(" forward method, overrides the "),sn=s("code"),hr=n("__call__"),mr=n(" special method."),fr=m(),S(ze.$$.fragment),ur=m(),S(Oe.$$.fragment),gr=m(),S(De.$$.fragment),Yn=m(),ge=s("h2"),Le=s("a"),rn=s("span"),S(jt.$$.fragment),_r=m(),ln=s("span"),vr=n("UniSpeechSatForSequenceClassification"),Jn=m(),x=s("div"),S(Ct.$$.fragment),br=m(),cn=s("p"),Sr=n(`UniSpeechSat Model with a sequence classification head on top (a linear layer over the pooled output) for tasks
like SUPERB Keyword Spotting.`),wr=m(),qt=s("p"),$r=n("UniSpeechSat was proposed in "),Et=s("a"),yr=n(`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),kr=n(` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),Tr=m(),Pt=s("p"),Ur=n("This model inherits from "),ko=s("a"),Fr=n("PreTrainedModel"),xr=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),jr=m(),At=s("p"),Cr=n("This model is a PyTorch "),Mt=s("a"),qr=n("torch.nn.Module"),Er=n(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Pr=m(),z=s("div"),S(zt.$$.fragment),Ar=m(),_e=s("p"),Mr=n("The "),To=s("a"),zr=n("UniSpeechSatForSequenceClassification"),Or=n(" forward method, overrides the "),dn=s("code"),Dr=n("__call__"),Lr=n(" special method."),Vr=m(),S(Ve.$$.fragment),Nr=m(),S(Ne.$$.fragment),Wr=m(),S(We.$$.fragment),Gn=m(),ve=s("h2"),Ie=s("a"),pn=s("span"),S(Ot.$$.fragment),Ir=m(),hn=s("span"),Xr=n("UniSpeechSatForAudioFrameClassification"),Kn=m(),j=s("div"),S(Dt.$$.fragment),Hr=m(),mn=s("p"),Br=n("UniSpeech-SAT Model with a frame classification head on top for tasks like Speaker Diarization."),Rr=m(),Lt=s("p"),Zr=n("UniSpeechSat was proposed in "),Vt=s("a"),Qr=n(`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),Yr=n(` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),Jr=m(),Nt=s("p"),Gr=n("This model inherits from "),Uo=s("a"),Kr=n("PreTrainedModel"),ei=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),ti=m(),Wt=s("p"),oi=n("This model is a PyTorch "),It=s("a"),ni=n("torch.nn.Module"),ai=n(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),si=m(),O=s("div"),S(Xt.$$.fragment),ri=m(),be=s("p"),ii=n("The "),Fo=s("a"),li=n("UniSpeechSatForAudioFrameClassification"),ci=n(" forward method, overrides the "),fn=s("code"),di=n("__call__"),pi=n(" special method."),hi=m(),S(Xe.$$.fragment),mi=m(),S(He.$$.fragment),fi=m(),S(Be.$$.fragment),ea=m(),Se=s("h2"),Re=s("a"),un=s("span"),S(Ht.$$.fragment),ui=m(),gn=s("span"),gi=n("UniSpeechSatForXVector"),ta=m(),C=s("div"),S(Bt.$$.fragment),_i=m(),_n=s("p"),vi=n("UniSpeech-SAT Model with an XVector feature extraction head on top for tasks like Speaker Verification."),bi=m(),Rt=s("p"),Si=n("UniSpeechSat was proposed in "),Zt=s("a"),wi=n(`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),$i=n(` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),yi=m(),Qt=s("p"),ki=n("This model inherits from "),xo=s("a"),Ti=n("PreTrainedModel"),Ui=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),Fi=m(),Yt=s("p"),xi=n("This model is a PyTorch "),Jt=s("a"),ji=n("torch.nn.Module"),Ci=n(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),qi=m(),D=s("div"),S(Gt.$$.fragment),Ei=m(),we=s("p"),Pi=n("The "),jo=s("a"),Ai=n("UniSpeechSatForXVector"),Mi=n(" forward method, overrides the "),vn=s("code"),zi=n("__call__"),Oi=n(" special method."),Di=m(),S(Ze.$$.fragment),Li=m(),S(Qe.$$.fragment),Vi=m(),S(Ye.$$.fragment),oa=m(),$e=s("h2"),Je=s("a"),bn=s("span"),S(Kt.$$.fragment),Ni=m(),Sn=s("span"),Wi=n("UniSpeechSatForPreTraining"),na=m(),P=s("div"),S(eo.$$.fragment),Ii=m(),ye=s("p"),Xi=n("UniSpeechSat Model with a quantizer and "),wn=s("code"),Hi=n("VQ"),Bi=n(` head on top.
UniSpeechSat was proposed in `),to=s("a"),Ri=n(`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),Zi=n(` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),Qi=m(),oo=s("p"),Yi=n("This model inherits from "),Co=s("a"),Ji=n("PreTrainedModel"),Gi=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),Ki=m(),no=s("p"),el=n("This model is a PyTorch "),ao=s("a"),tl=n("torch.nn.Module"),ol=n(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),nl=m(),N=s("div"),S(so.$$.fragment),al=m(),ke=s("p"),sl=n("The "),qo=s("a"),rl=n("UniSpeechSatForPreTraining"),il=n(" forward method, overrides the "),$n=s("code"),ll=n("__call__"),cl=n(" special method."),dl=m(),S(Ge.$$.fragment),pl=m(),S(Ke.$$.fragment),this.h()},l(t){const g=jc('[data-svelte="svelte-1phssyn"]',document.head);c=r(g,"META",{name:!0,content:!0}),g.forEach(o),_=f(t),d=r(t,"H1",{class:!0});var ro=l(d);h=r(ro,"A",{id:!0,class:!0,href:!0});var yn=l(h);b=r(yn,"SPAN",{});var kn=l(b);w(i.$$.fragment,kn),kn.forEach(o),yn.forEach(o),u=f(ro),F=r(ro,"SPAN",{});var Tn=l(F);qa=a(Tn,"UniSpeech-SAT"),Tn.forEach(o),ro.forEach(o),Mn=f(t),se=r(t,"H2",{class:!0});var io=l(se);Ue=r(io,"A",{id:!0,class:!0,href:!0});var Un=l(Ue);Xo=r(Un,"SPAN",{});var Fn=l(Xo);w(ot.$$.fragment,Fn),Fn.forEach(o),Un.forEach(o),Ea=f(io),Ho=r(io,"SPAN",{});var xn=l(Ho);Pa=a(xn,"Overview"),xn.forEach(o),io.forEach(o),zn=f(t),Fe=r(t,"P",{});var lo=l(Fe);Aa=a(lo,"The UniSpeech-SAT model was proposed in "),nt=r(lo,"A",{href:!0,rel:!0});var jn=l(nt);Ma=a(jn,`UniSpeech-SAT: Universal Speech Representation Learning with Speaker Aware
Pre-Training`),jn.forEach(o),za=a(lo,` by Sanyuan Chen, Yu Wu, Chengyi Wang, Zhengyang Chen, Zhuo Chen,
Shujie Liu, Jian Wu, Yao Qian, Furu Wei, Jinyu Li, Xiangzhan Yu .`),lo.forEach(o),On=f(t),ho=r(t,"P",{});var Cn=l(ho);Oa=a(Cn,"The abstract from the paper is the following:"),Cn.forEach(o),Dn=f(t),mo=r(t,"P",{});var qn=l(mo);Bo=r(qn,"EM",{});var En=l(Bo);Da=a(En,`Self-supervised learning (SSL) is a long-standing goal for speech processing, since it utilizes large-scale unlabeled
data and avoids extensive human labeling. Recent years witness great successes in applying self-supervised learning in
speech recognition, while limited exploration was attempted in applying SSL for modeling speaker characteristics. In
this paper, we aim to improve the existing SSL framework for speaker representation learning. Two methods are
introduced for enhancing the unsupervised speaker information extraction. First, we apply the multi-task learning to
the current SSL framework, where we integrate the utterance-wise contrastive loss with the SSL objective function.
Second, for better speaker discrimination, we propose an utterance mixing strategy for data augmentation, where
additional overlapped utterances are created unsupervisely and incorporate during training. We integrate the proposed
methods into the HuBERT framework. Experiment results on SUPERB benchmark show that the proposed system achieves
state-of-the-art performance in universal representation learning, especially for speaker identification oriented
tasks. An ablation study is performed verifying the efficacy of each proposed method. Finally, we scale up training
dataset to 94 thousand hours public audio data and achieve further performance improvement in all SUPERB tasks.`),En.forEach(o),qn.forEach(o),Ln=f(t),fo=r(t,"P",{});var Pn=l(fo);La=a(Pn,"Tips:"),Pn.forEach(o),Vn=f(t),Z=r(t,"UL",{});var Te=l(Z);at=r(Te,"LI",{});var co=l(at);Va=a(co,`UniSpeechSat is a speech model that accepts a float array corresponding to the raw waveform of the speech signal.
Please use `),uo=r(co,"A",{href:!0});var An=l(uo);Na=a(An,"Wav2Vec2Processor"),An.forEach(o),Wa=a(co," for the feature extraction."),co.forEach(o),Ia=f(Te),st=r(Te,"LI",{});var po=l(st);Xa=a(po,`UniSpeechSat model can be fine-tuned using connectionist temporal classification (CTC) so the model output has to be
decoded using `),go=r(po,"A",{href:!0});var hl=l(go);Ha=a(hl,"Wav2Vec2CTCTokenizer"),hl.forEach(o),Ba=a(po,"."),po.forEach(o),Ra=f(Te),Ro=r(Te,"LI",{});var ml=l(Ro);Za=a(ml,"UniSpeechSat performs especially well on speaker verification, speaker identification, and speaker diarization tasks."),ml.forEach(o),Te.forEach(o),Nn=f(t),Q=r(t,"P",{});var Eo=l(Q);Qa=a(Eo,"This model was contributed by "),rt=r(Eo,"A",{href:!0,rel:!0});var fl=l(rt);Ya=a(fl,"patrickvonplaten"),fl.forEach(o),Ja=a(Eo,`. The Authors\u2019 code can be
found `),it=r(Eo,"A",{href:!0,rel:!0});var ul=l(it);Ga=a(ul,"here"),ul.forEach(o),Ka=a(Eo,"."),Eo.forEach(o),Wn=f(t),re=r(t,"H2",{class:!0});var sa=l(re);xe=r(sa,"A",{id:!0,class:!0,href:!0});var gl=l(xe);Zo=r(gl,"SPAN",{});var _l=l(Zo);w(lt.$$.fragment,_l),_l.forEach(o),gl.forEach(o),es=f(sa),Qo=r(sa,"SPAN",{});var vl=l(Qo);ts=a(vl,"UniSpeechSatConfig"),vl.forEach(o),sa.forEach(o),In=f(t),V=r(t,"DIV",{class:!0});var et=l(V);w(ct.$$.fragment,et),os=f(et),ie=r(et,"P",{});var Po=l(ie);ns=a(Po,"This is the configuration class to store the configuration of a "),_o=r(Po,"A",{href:!0});var bl=l(_o);as=a(bl,"UniSpeechSatModel"),bl.forEach(o),ss=a(Po,`. It is used to instantiate an
UniSpeechSat model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the UniSpeechSat
`),dt=r(Po,"A",{href:!0,rel:!0});var Sl=l(dt);rs=a(Sl,"microsoft/unispeech-sat-base-100h-libri-ft"),Sl.forEach(o),is=a(Po,`
architecture.`),Po.forEach(o),ls=f(et),le=r(et,"P",{});var Ao=l(le);cs=a(Ao,"Configuration objects inherit from "),vo=r(Ao,"A",{href:!0});var wl=l(vo);ds=a(wl,"PretrainedConfig"),wl.forEach(o),ps=a(Ao,` and can be used to control the model outputs. Read the
documentation from `),bo=r(Ao,"A",{href:!0});var $l=l(bo);hs=a($l,"PretrainedConfig"),$l.forEach(o),ms=a(Ao," for more information."),Ao.forEach(o),fs=f(et),w(je.$$.fragment,et),et.forEach(o),Xn=f(t),ce=r(t,"H2",{class:!0});var ra=l(ce);Ce=r(ra,"A",{id:!0,class:!0,href:!0});var yl=l(Ce);Yo=r(yl,"SPAN",{});var kl=l(Yo);w(pt.$$.fragment,kl),kl.forEach(o),yl.forEach(o),us=f(ra),Jo=r(ra,"SPAN",{});var Tl=l(Jo);gs=a(Tl,"UniSpeechSat specific outputs"),Tl.forEach(o),ra.forEach(o),Hn=f(t),de=r(t,"DIV",{class:!0});var ia=l(de);w(ht.$$.fragment,ia),_s=f(ia),mt=r(ia,"P",{});var la=l(mt);vs=a(la,"Output type of "),Go=r(la,"CODE",{});var Ul=l(Go);bs=a(Ul,"UniSpeechSatForPreTrainingOutput"),Ul.forEach(o),Ss=a(la,", with potential hidden states and attentions."),la.forEach(o),ia.forEach(o),Bn=f(t),pe=r(t,"H2",{class:!0});var ca=l(pe);qe=r(ca,"A",{id:!0,class:!0,href:!0});var Fl=l(qe);Ko=r(Fl,"SPAN",{});var xl=l(Ko);w(ft.$$.fragment,xl),xl.forEach(o),Fl.forEach(o),ws=f(ca),en=r(ca,"SPAN",{});var jl=l(en);$s=a(jl,"UniSpeechSatModel"),jl.forEach(o),ca.forEach(o),Rn=f(t),q=r(t,"DIV",{class:!0});var Y=l(q);w(ut.$$.fragment,Y),ys=f(Y),gt=r(Y,"P",{});var da=l(gt);ks=a(da,`The bare UniSpeechSat Model transformer outputting raw hidden-states without any specific head on top.
UniSpeechSat was proposed in `),_t=r(da,"A",{href:!0,rel:!0});var Cl=l(_t);Ts=a(Cl,`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),Cl.forEach(o),Us=a(da,` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),da.forEach(o),Fs=f(Y),vt=r(Y,"P",{});var pa=l(vt);xs=a(pa,"This model inherits from "),So=r(pa,"A",{href:!0});var ql=l(So);js=a(ql,"PreTrainedModel"),ql.forEach(o),Cs=a(pa,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),pa.forEach(o),qs=f(Y),bt=r(Y,"P",{});var ha=l(bt);Es=a(ha,"This model is a PyTorch "),St=r(ha,"A",{href:!0,rel:!0});var El=l(St);Ps=a(El,"torch.nn.Module"),El.forEach(o),As=a(ha,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),ha.forEach(o),Ms=f(Y),A=r(Y,"DIV",{class:!0});var J=l(A);w(wt.$$.fragment,J),zs=f(J),he=r(J,"P",{});var Mo=l(he);Os=a(Mo,"The "),wo=r(Mo,"A",{href:!0});var Pl=l(wo);Ds=a(Pl,"UniSpeechSatModel"),Pl.forEach(o),Ls=a(Mo," forward method, overrides the "),tn=r(Mo,"CODE",{});var Al=l(tn);Vs=a(Al,"__call__"),Al.forEach(o),Ns=a(Mo," special method."),Mo.forEach(o),Ws=f(J),w(Ee.$$.fragment,J),Is=f(J),w(Pe.$$.fragment,J),Xs=f(J),w(Ae.$$.fragment,J),J.forEach(o),Y.forEach(o),Zn=f(t),me=r(t,"H2",{class:!0});var ma=l(me);Me=r(ma,"A",{id:!0,class:!0,href:!0});var Ml=l(Me);on=r(Ml,"SPAN",{});var zl=l(on);w($t.$$.fragment,zl),zl.forEach(o),Ml.forEach(o),Hs=f(ma),nn=r(ma,"SPAN",{});var Ol=l(nn);Bs=a(Ol,"UniSpeechSatForCTC"),Ol.forEach(o),ma.forEach(o),Qn=f(t),E=r(t,"DIV",{class:!0});var G=l(E);w(yt.$$.fragment,G),Rs=f(G),fe=r(G,"P",{});var zo=l(fe);Zs=a(zo,"UniSpeechSat Model with a "),an=r(zo,"CODE",{});var Dl=l(an);Qs=a(Dl,"language modeling"),Dl.forEach(o),Ys=a(zo,` head on top for Connectionist Temporal Classification (CTC).
UniSpeechSat was proposed in `),kt=r(zo,"A",{href:!0,rel:!0});var Ll=l(kt);Js=a(Ll,`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),Ll.forEach(o),Gs=a(zo,` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),zo.forEach(o),Ks=f(G),Tt=r(G,"P",{});var fa=l(Tt);er=a(fa,"This model inherits from "),$o=r(fa,"A",{href:!0});var Vl=l($o);tr=a(Vl,"PreTrainedModel"),Vl.forEach(o),or=a(fa,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),fa.forEach(o),nr=f(G),Ut=r(G,"P",{});var ua=l(Ut);ar=a(ua,"This model is a PyTorch "),Ft=r(ua,"A",{href:!0,rel:!0});var Nl=l(Ft);sr=a(Nl,"torch.nn.Module"),Nl.forEach(o),rr=a(ua,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),ua.forEach(o),ir=f(G),M=r(G,"DIV",{class:!0});var K=l(M);w(xt.$$.fragment,K),lr=f(K),ue=r(K,"P",{});var Oo=l(ue);cr=a(Oo,"The "),yo=r(Oo,"A",{href:!0});var Wl=l(yo);dr=a(Wl,"UniSpeechSatForCTC"),Wl.forEach(o),pr=a(Oo," forward method, overrides the "),sn=r(Oo,"CODE",{});var Il=l(sn);hr=a(Il,"__call__"),Il.forEach(o),mr=a(Oo," special method."),Oo.forEach(o),fr=f(K),w(ze.$$.fragment,K),ur=f(K),w(Oe.$$.fragment,K),gr=f(K),w(De.$$.fragment,K),K.forEach(o),G.forEach(o),Yn=f(t),ge=r(t,"H2",{class:!0});var ga=l(ge);Le=r(ga,"A",{id:!0,class:!0,href:!0});var Xl=l(Le);rn=r(Xl,"SPAN",{});var Hl=l(rn);w(jt.$$.fragment,Hl),Hl.forEach(o),Xl.forEach(o),_r=f(ga),ln=r(ga,"SPAN",{});var Bl=l(ln);vr=a(Bl,"UniSpeechSatForSequenceClassification"),Bl.forEach(o),ga.forEach(o),Jn=f(t),x=r(t,"DIV",{class:!0});var W=l(x);w(Ct.$$.fragment,W),br=f(W),cn=r(W,"P",{});var Rl=l(cn);Sr=a(Rl,`UniSpeechSat Model with a sequence classification head on top (a linear layer over the pooled output) for tasks
like SUPERB Keyword Spotting.`),Rl.forEach(o),wr=f(W),qt=r(W,"P",{});var _a=l(qt);$r=a(_a,"UniSpeechSat was proposed in "),Et=r(_a,"A",{href:!0,rel:!0});var Zl=l(Et);yr=a(Zl,`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),Zl.forEach(o),kr=a(_a,` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),_a.forEach(o),Tr=f(W),Pt=r(W,"P",{});var va=l(Pt);Ur=a(va,"This model inherits from "),ko=r(va,"A",{href:!0});var Ql=l(ko);Fr=a(Ql,"PreTrainedModel"),Ql.forEach(o),xr=a(va,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),va.forEach(o),jr=f(W),At=r(W,"P",{});var ba=l(At);Cr=a(ba,"This model is a PyTorch "),Mt=r(ba,"A",{href:!0,rel:!0});var Yl=l(Mt);qr=a(Yl,"torch.nn.Module"),Yl.forEach(o),Er=a(ba,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),ba.forEach(o),Pr=f(W),z=r(W,"DIV",{class:!0});var ee=l(z);w(zt.$$.fragment,ee),Ar=f(ee),_e=r(ee,"P",{});var Do=l(_e);Mr=a(Do,"The "),To=r(Do,"A",{href:!0});var Jl=l(To);zr=a(Jl,"UniSpeechSatForSequenceClassification"),Jl.forEach(o),Or=a(Do," forward method, overrides the "),dn=r(Do,"CODE",{});var Gl=l(dn);Dr=a(Gl,"__call__"),Gl.forEach(o),Lr=a(Do," special method."),Do.forEach(o),Vr=f(ee),w(Ve.$$.fragment,ee),Nr=f(ee),w(Ne.$$.fragment,ee),Wr=f(ee),w(We.$$.fragment,ee),ee.forEach(o),W.forEach(o),Gn=f(t),ve=r(t,"H2",{class:!0});var Sa=l(ve);Ie=r(Sa,"A",{id:!0,class:!0,href:!0});var Kl=l(Ie);pn=r(Kl,"SPAN",{});var ec=l(pn);w(Ot.$$.fragment,ec),ec.forEach(o),Kl.forEach(o),Ir=f(Sa),hn=r(Sa,"SPAN",{});var tc=l(hn);Xr=a(tc,"UniSpeechSatForAudioFrameClassification"),tc.forEach(o),Sa.forEach(o),Kn=f(t),j=r(t,"DIV",{class:!0});var I=l(j);w(Dt.$$.fragment,I),Hr=f(I),mn=r(I,"P",{});var oc=l(mn);Br=a(oc,"UniSpeech-SAT Model with a frame classification head on top for tasks like Speaker Diarization."),oc.forEach(o),Rr=f(I),Lt=r(I,"P",{});var wa=l(Lt);Zr=a(wa,"UniSpeechSat was proposed in "),Vt=r(wa,"A",{href:!0,rel:!0});var nc=l(Vt);Qr=a(nc,`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),nc.forEach(o),Yr=a(wa,` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),wa.forEach(o),Jr=f(I),Nt=r(I,"P",{});var $a=l(Nt);Gr=a($a,"This model inherits from "),Uo=r($a,"A",{href:!0});var ac=l(Uo);Kr=a(ac,"PreTrainedModel"),ac.forEach(o),ei=a($a,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),$a.forEach(o),ti=f(I),Wt=r(I,"P",{});var ya=l(Wt);oi=a(ya,"This model is a PyTorch "),It=r(ya,"A",{href:!0,rel:!0});var sc=l(It);ni=a(sc,"torch.nn.Module"),sc.forEach(o),ai=a(ya,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),ya.forEach(o),si=f(I),O=r(I,"DIV",{class:!0});var te=l(O);w(Xt.$$.fragment,te),ri=f(te),be=r(te,"P",{});var Lo=l(be);ii=a(Lo,"The "),Fo=r(Lo,"A",{href:!0});var rc=l(Fo);li=a(rc,"UniSpeechSatForAudioFrameClassification"),rc.forEach(o),ci=a(Lo," forward method, overrides the "),fn=r(Lo,"CODE",{});var ic=l(fn);di=a(ic,"__call__"),ic.forEach(o),pi=a(Lo," special method."),Lo.forEach(o),hi=f(te),w(Xe.$$.fragment,te),mi=f(te),w(He.$$.fragment,te),fi=f(te),w(Be.$$.fragment,te),te.forEach(o),I.forEach(o),ea=f(t),Se=r(t,"H2",{class:!0});var ka=l(Se);Re=r(ka,"A",{id:!0,class:!0,href:!0});var lc=l(Re);un=r(lc,"SPAN",{});var cc=l(un);w(Ht.$$.fragment,cc),cc.forEach(o),lc.forEach(o),ui=f(ka),gn=r(ka,"SPAN",{});var dc=l(gn);gi=a(dc,"UniSpeechSatForXVector"),dc.forEach(o),ka.forEach(o),ta=f(t),C=r(t,"DIV",{class:!0});var X=l(C);w(Bt.$$.fragment,X),_i=f(X),_n=r(X,"P",{});var pc=l(_n);vi=a(pc,"UniSpeech-SAT Model with an XVector feature extraction head on top for tasks like Speaker Verification."),pc.forEach(o),bi=f(X),Rt=r(X,"P",{});var Ta=l(Rt);Si=a(Ta,"UniSpeechSat was proposed in "),Zt=r(Ta,"A",{href:!0,rel:!0});var hc=l(Zt);wi=a(hc,`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),hc.forEach(o),$i=a(Ta,` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),Ta.forEach(o),yi=f(X),Qt=r(X,"P",{});var Ua=l(Qt);ki=a(Ua,"This model inherits from "),xo=r(Ua,"A",{href:!0});var mc=l(xo);Ti=a(mc,"PreTrainedModel"),mc.forEach(o),Ui=a(Ua,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),Ua.forEach(o),Fi=f(X),Yt=r(X,"P",{});var Fa=l(Yt);xi=a(Fa,"This model is a PyTorch "),Jt=r(Fa,"A",{href:!0,rel:!0});var fc=l(Jt);ji=a(fc,"torch.nn.Module"),fc.forEach(o),Ci=a(Fa,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Fa.forEach(o),qi=f(X),D=r(X,"DIV",{class:!0});var oe=l(D);w(Gt.$$.fragment,oe),Ei=f(oe),we=r(oe,"P",{});var Vo=l(we);Pi=a(Vo,"The "),jo=r(Vo,"A",{href:!0});var uc=l(jo);Ai=a(uc,"UniSpeechSatForXVector"),uc.forEach(o),Mi=a(Vo," forward method, overrides the "),vn=r(Vo,"CODE",{});var gc=l(vn);zi=a(gc,"__call__"),gc.forEach(o),Oi=a(Vo," special method."),Vo.forEach(o),Di=f(oe),w(Ze.$$.fragment,oe),Li=f(oe),w(Qe.$$.fragment,oe),Vi=f(oe),w(Ye.$$.fragment,oe),oe.forEach(o),X.forEach(o),oa=f(t),$e=r(t,"H2",{class:!0});var xa=l($e);Je=r(xa,"A",{id:!0,class:!0,href:!0});var _c=l(Je);bn=r(_c,"SPAN",{});var vc=l(bn);w(Kt.$$.fragment,vc),vc.forEach(o),_c.forEach(o),Ni=f(xa),Sn=r(xa,"SPAN",{});var bc=l(Sn);Wi=a(bc,"UniSpeechSatForPreTraining"),bc.forEach(o),xa.forEach(o),na=f(t),P=r(t,"DIV",{class:!0});var ne=l(P);w(eo.$$.fragment,ne),Ii=f(ne),ye=r(ne,"P",{});var No=l(ye);Xi=a(No,"UniSpeechSat Model with a quantizer and "),wn=r(No,"CODE",{});var Sc=l(wn);Hi=a(Sc,"VQ"),Sc.forEach(o),Bi=a(No,` head on top.
UniSpeechSat was proposed in `),to=r(No,"A",{href:!0,rel:!0});var wc=l(to);Ri=a(wc,`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),wc.forEach(o),Zi=a(No,` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),No.forEach(o),Qi=f(ne),oo=r(ne,"P",{});var ja=l(oo);Yi=a(ja,"This model inherits from "),Co=r(ja,"A",{href:!0});var $c=l(Co);Ji=a($c,"PreTrainedModel"),$c.forEach(o),Gi=a(ja,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),ja.forEach(o),Ki=f(ne),no=r(ne,"P",{});var Ca=l(no);el=a(Ca,"This model is a PyTorch "),ao=r(Ca,"A",{href:!0,rel:!0});var yc=l(ao);tl=a(yc,"torch.nn.Module"),yc.forEach(o),ol=a(Ca,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Ca.forEach(o),nl=f(ne),N=r(ne,"DIV",{class:!0});var tt=l(N);w(so.$$.fragment,tt),al=f(tt),ke=r(tt,"P",{});var Wo=l(ke);sl=a(Wo,"The "),qo=r(Wo,"A",{href:!0});var kc=l(qo);rl=a(kc,"UniSpeechSatForPreTraining"),kc.forEach(o),il=a(Wo," forward method, overrides the "),$n=r(Wo,"CODE",{});var Tc=l($n);ll=a(Tc,"__call__"),Tc.forEach(o),cl=a(Wo," special method."),Wo.forEach(o),dl=f(tt),w(Ge.$$.fragment,tt),pl=f(tt),w(Ke.$$.fragment,tt),tt.forEach(o),ne.forEach(o),this.h()},h(){p(c,"name","hf:doc:metadata"),p(c,"content",JSON.stringify(Yc)),p(h,"id","unispeechsat"),p(h,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(h,"href","#unispeechsat"),p(d,"class","relative group"),p(Ue,"id","overview"),p(Ue,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(Ue,"href","#overview"),p(se,"class","relative group"),p(nt,"href","https://arxiv.org/abs/2110.05752"),p(nt,"rel","nofollow"),p(uo,"href","/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor"),p(go,"href","/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2CTCTokenizer"),p(rt,"href","https://huggingface.co/patrickvonplaten"),p(rt,"rel","nofollow"),p(it,"href","https://github.com/microsoft/UniSpeech/tree/main/UniSpeech-SAT"),p(it,"rel","nofollow"),p(xe,"id","transformers.UniSpeechSatConfig"),p(xe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(xe,"href","#transformers.UniSpeechSatConfig"),p(re,"class","relative group"),p(_o,"href","/docs/transformers/main/en/model_doc/unispeech-sat#transformers.UniSpeechSatModel"),p(dt,"href","https://huggingface.co/microsoft/unispeech-sat-base-100h-libri-ft"),p(dt,"rel","nofollow"),p(vo,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),p(bo,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),p(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Ce,"id","transformers.models.unispeech_sat.modeling_unispeech_sat.UniSpeechSatForPreTrainingOutput"),p(Ce,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(Ce,"href","#transformers.models.unispeech_sat.modeling_unispeech_sat.UniSpeechSatForPreTrainingOutput"),p(ce,"class","relative group"),p(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(qe,"id","transformers.UniSpeechSatModel"),p(qe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(qe,"href","#transformers.UniSpeechSatModel"),p(pe,"class","relative group"),p(_t,"href","https://arxiv.org/abs/2006.11477"),p(_t,"rel","nofollow"),p(So,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),p(St,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),p(St,"rel","nofollow"),p(wo,"href","/docs/transformers/main/en/model_doc/unispeech-sat#transformers.UniSpeechSatModel"),p(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Me,"id","transformers.UniSpeechSatForCTC"),p(Me,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(Me,"href","#transformers.UniSpeechSatForCTC"),p(me,"class","relative group"),p(kt,"href","https://arxiv.org/abs/2006.11477"),p(kt,"rel","nofollow"),p($o,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),p(Ft,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),p(Ft,"rel","nofollow"),p(yo,"href","/docs/transformers/main/en/model_doc/unispeech-sat#transformers.UniSpeechSatForCTC"),p(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Le,"id","transformers.UniSpeechSatForSequenceClassification"),p(Le,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(Le,"href","#transformers.UniSpeechSatForSequenceClassification"),p(ge,"class","relative group"),p(Et,"href","https://arxiv.org/abs/2006.11477"),p(Et,"rel","nofollow"),p(ko,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),p(Mt,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),p(Mt,"rel","nofollow"),p(To,"href","/docs/transformers/main/en/model_doc/unispeech-sat#transformers.UniSpeechSatForSequenceClassification"),p(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Ie,"id","transformers.UniSpeechSatForAudioFrameClassification"),p(Ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(Ie,"href","#transformers.UniSpeechSatForAudioFrameClassification"),p(ve,"class","relative group"),p(Vt,"href","https://arxiv.org/abs/2006.11477"),p(Vt,"rel","nofollow"),p(Uo,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),p(It,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),p(It,"rel","nofollow"),p(Fo,"href","/docs/transformers/main/en/model_doc/unispeech-sat#transformers.UniSpeechSatForAudioFrameClassification"),p(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Re,"id","transformers.UniSpeechSatForXVector"),p(Re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(Re,"href","#transformers.UniSpeechSatForXVector"),p(Se,"class","relative group"),p(Zt,"href","https://arxiv.org/abs/2006.11477"),p(Zt,"rel","nofollow"),p(xo,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),p(Jt,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),p(Jt,"rel","nofollow"),p(jo,"href","/docs/transformers/main/en/model_doc/unispeech-sat#transformers.UniSpeechSatForXVector"),p(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Je,"id","transformers.UniSpeechSatForPreTraining"),p(Je,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(Je,"href","#transformers.UniSpeechSatForPreTraining"),p($e,"class","relative group"),p(to,"href","https://arxiv.org/abs/2006.11477"),p(to,"rel","nofollow"),p(Co,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),p(ao,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),p(ao,"rel","nofollow"),p(qo,"href","/docs/transformers/main/en/model_doc/unispeech-sat#transformers.UniSpeechSatForPreTraining"),p(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,g){e(document.head,c),v(t,_,g),v(t,d,g),e(d,h),e(h,b),$(i,b,null),e(d,u),e(d,F),e(F,qa),v(t,Mn,g),v(t,se,g),e(se,Ue),e(Ue,Xo),$(ot,Xo,null),e(se,Ea),e(se,Ho),e(Ho,Pa),v(t,zn,g),v(t,Fe,g),e(Fe,Aa),e(Fe,nt),e(nt,Ma),e(Fe,za),v(t,On,g),v(t,ho,g),e(ho,Oa),v(t,Dn,g),v(t,mo,g),e(mo,Bo),e(Bo,Da),v(t,Ln,g),v(t,fo,g),e(fo,La),v(t,Vn,g),v(t,Z,g),e(Z,at),e(at,Va),e(at,uo),e(uo,Na),e(at,Wa),e(Z,Ia),e(Z,st),e(st,Xa),e(st,go),e(go,Ha),e(st,Ba),e(Z,Ra),e(Z,Ro),e(Ro,Za),v(t,Nn,g),v(t,Q,g),e(Q,Qa),e(Q,rt),e(rt,Ya),e(Q,Ja),e(Q,it),e(it,Ga),e(Q,Ka),v(t,Wn,g),v(t,re,g),e(re,xe),e(xe,Zo),$(lt,Zo,null),e(re,es),e(re,Qo),e(Qo,ts),v(t,In,g),v(t,V,g),$(ct,V,null),e(V,os),e(V,ie),e(ie,ns),e(ie,_o),e(_o,as),e(ie,ss),e(ie,dt),e(dt,rs),e(ie,is),e(V,ls),e(V,le),e(le,cs),e(le,vo),e(vo,ds),e(le,ps),e(le,bo),e(bo,hs),e(le,ms),e(V,fs),$(je,V,null),v(t,Xn,g),v(t,ce,g),e(ce,Ce),e(Ce,Yo),$(pt,Yo,null),e(ce,us),e(ce,Jo),e(Jo,gs),v(t,Hn,g),v(t,de,g),$(ht,de,null),e(de,_s),e(de,mt),e(mt,vs),e(mt,Go),e(Go,bs),e(mt,Ss),v(t,Bn,g),v(t,pe,g),e(pe,qe),e(qe,Ko),$(ft,Ko,null),e(pe,ws),e(pe,en),e(en,$s),v(t,Rn,g),v(t,q,g),$(ut,q,null),e(q,ys),e(q,gt),e(gt,ks),e(gt,_t),e(_t,Ts),e(gt,Us),e(q,Fs),e(q,vt),e(vt,xs),e(vt,So),e(So,js),e(vt,Cs),e(q,qs),e(q,bt),e(bt,Es),e(bt,St),e(St,Ps),e(bt,As),e(q,Ms),e(q,A),$(wt,A,null),e(A,zs),e(A,he),e(he,Os),e(he,wo),e(wo,Ds),e(he,Ls),e(he,tn),e(tn,Vs),e(he,Ns),e(A,Ws),$(Ee,A,null),e(A,Is),$(Pe,A,null),e(A,Xs),$(Ae,A,null),v(t,Zn,g),v(t,me,g),e(me,Me),e(Me,on),$($t,on,null),e(me,Hs),e(me,nn),e(nn,Bs),v(t,Qn,g),v(t,E,g),$(yt,E,null),e(E,Rs),e(E,fe),e(fe,Zs),e(fe,an),e(an,Qs),e(fe,Ys),e(fe,kt),e(kt,Js),e(fe,Gs),e(E,Ks),e(E,Tt),e(Tt,er),e(Tt,$o),e($o,tr),e(Tt,or),e(E,nr),e(E,Ut),e(Ut,ar),e(Ut,Ft),e(Ft,sr),e(Ut,rr),e(E,ir),e(E,M),$(xt,M,null),e(M,lr),e(M,ue),e(ue,cr),e(ue,yo),e(yo,dr),e(ue,pr),e(ue,sn),e(sn,hr),e(ue,mr),e(M,fr),$(ze,M,null),e(M,ur),$(Oe,M,null),e(M,gr),$(De,M,null),v(t,Yn,g),v(t,ge,g),e(ge,Le),e(Le,rn),$(jt,rn,null),e(ge,_r),e(ge,ln),e(ln,vr),v(t,Jn,g),v(t,x,g),$(Ct,x,null),e(x,br),e(x,cn),e(cn,Sr),e(x,wr),e(x,qt),e(qt,$r),e(qt,Et),e(Et,yr),e(qt,kr),e(x,Tr),e(x,Pt),e(Pt,Ur),e(Pt,ko),e(ko,Fr),e(Pt,xr),e(x,jr),e(x,At),e(At,Cr),e(At,Mt),e(Mt,qr),e(At,Er),e(x,Pr),e(x,z),$(zt,z,null),e(z,Ar),e(z,_e),e(_e,Mr),e(_e,To),e(To,zr),e(_e,Or),e(_e,dn),e(dn,Dr),e(_e,Lr),e(z,Vr),$(Ve,z,null),e(z,Nr),$(Ne,z,null),e(z,Wr),$(We,z,null),v(t,Gn,g),v(t,ve,g),e(ve,Ie),e(Ie,pn),$(Ot,pn,null),e(ve,Ir),e(ve,hn),e(hn,Xr),v(t,Kn,g),v(t,j,g),$(Dt,j,null),e(j,Hr),e(j,mn),e(mn,Br),e(j,Rr),e(j,Lt),e(Lt,Zr),e(Lt,Vt),e(Vt,Qr),e(Lt,Yr),e(j,Jr),e(j,Nt),e(Nt,Gr),e(Nt,Uo),e(Uo,Kr),e(Nt,ei),e(j,ti),e(j,Wt),e(Wt,oi),e(Wt,It),e(It,ni),e(Wt,ai),e(j,si),e(j,O),$(Xt,O,null),e(O,ri),e(O,be),e(be,ii),e(be,Fo),e(Fo,li),e(be,ci),e(be,fn),e(fn,di),e(be,pi),e(O,hi),$(Xe,O,null),e(O,mi),$(He,O,null),e(O,fi),$(Be,O,null),v(t,ea,g),v(t,Se,g),e(Se,Re),e(Re,un),$(Ht,un,null),e(Se,ui),e(Se,gn),e(gn,gi),v(t,ta,g),v(t,C,g),$(Bt,C,null),e(C,_i),e(C,_n),e(_n,vi),e(C,bi),e(C,Rt),e(Rt,Si),e(Rt,Zt),e(Zt,wi),e(Rt,$i),e(C,yi),e(C,Qt),e(Qt,ki),e(Qt,xo),e(xo,Ti),e(Qt,Ui),e(C,Fi),e(C,Yt),e(Yt,xi),e(Yt,Jt),e(Jt,ji),e(Yt,Ci),e(C,qi),e(C,D),$(Gt,D,null),e(D,Ei),e(D,we),e(we,Pi),e(we,jo),e(jo,Ai),e(we,Mi),e(we,vn),e(vn,zi),e(we,Oi),e(D,Di),$(Ze,D,null),e(D,Li),$(Qe,D,null),e(D,Vi),$(Ye,D,null),v(t,oa,g),v(t,$e,g),e($e,Je),e(Je,bn),$(Kt,bn,null),e($e,Ni),e($e,Sn),e(Sn,Wi),v(t,na,g),v(t,P,g),$(eo,P,null),e(P,Ii),e(P,ye),e(ye,Xi),e(ye,wn),e(wn,Hi),e(ye,Bi),e(ye,to),e(to,Ri),e(ye,Zi),e(P,Qi),e(P,oo),e(oo,Yi),e(oo,Co),e(Co,Ji),e(oo,Gi),e(P,Ki),e(P,no),e(no,el),e(no,ao),e(ao,tl),e(no,ol),e(P,nl),e(P,N),$(so,N,null),e(N,al),e(N,ke),e(ke,sl),e(ke,qo),e(qo,rl),e(ke,il),e(ke,$n),e($n,ll),e(ke,cl),e(N,dl),$(Ge,N,null),e(N,pl),$(Ke,N,null),aa=!0},p(t,[g]){const ro={};g&2&&(ro.$$scope={dirty:g,ctx:t}),je.$set(ro);const yn={};g&2&&(yn.$$scope={dirty:g,ctx:t}),Ee.$set(yn);const kn={};g&2&&(kn.$$scope={dirty:g,ctx:t}),Pe.$set(kn);const Tn={};g&2&&(Tn.$$scope={dirty:g,ctx:t}),Ae.$set(Tn);const io={};g&2&&(io.$$scope={dirty:g,ctx:t}),ze.$set(io);const Un={};g&2&&(Un.$$scope={dirty:g,ctx:t}),Oe.$set(Un);const Fn={};g&2&&(Fn.$$scope={dirty:g,ctx:t}),De.$set(Fn);const xn={};g&2&&(xn.$$scope={dirty:g,ctx:t}),Ve.$set(xn);const lo={};g&2&&(lo.$$scope={dirty:g,ctx:t}),Ne.$set(lo);const jn={};g&2&&(jn.$$scope={dirty:g,ctx:t}),We.$set(jn);const Cn={};g&2&&(Cn.$$scope={dirty:g,ctx:t}),Xe.$set(Cn);const qn={};g&2&&(qn.$$scope={dirty:g,ctx:t}),He.$set(qn);const En={};g&2&&(En.$$scope={dirty:g,ctx:t}),Be.$set(En);const Pn={};g&2&&(Pn.$$scope={dirty:g,ctx:t}),Ze.$set(Pn);const Te={};g&2&&(Te.$$scope={dirty:g,ctx:t}),Qe.$set(Te);const co={};g&2&&(co.$$scope={dirty:g,ctx:t}),Ye.$set(co);const An={};g&2&&(An.$$scope={dirty:g,ctx:t}),Ge.$set(An);const po={};g&2&&(po.$$scope={dirty:g,ctx:t}),Ke.$set(po)},i(t){aa||(y(i.$$.fragment,t),y(ot.$$.fragment,t),y(lt.$$.fragment,t),y(ct.$$.fragment,t),y(je.$$.fragment,t),y(pt.$$.fragment,t),y(ht.$$.fragment,t),y(ft.$$.fragment,t),y(ut.$$.fragment,t),y(wt.$$.fragment,t),y(Ee.$$.fragment,t),y(Pe.$$.fragment,t),y(Ae.$$.fragment,t),y($t.$$.fragment,t),y(yt.$$.fragment,t),y(xt.$$.fragment,t),y(ze.$$.fragment,t),y(Oe.$$.fragment,t),y(De.$$.fragment,t),y(jt.$$.fragment,t),y(Ct.$$.fragment,t),y(zt.$$.fragment,t),y(Ve.$$.fragment,t),y(Ne.$$.fragment,t),y(We.$$.fragment,t),y(Ot.$$.fragment,t),y(Dt.$$.fragment,t),y(Xt.$$.fragment,t),y(Xe.$$.fragment,t),y(He.$$.fragment,t),y(Be.$$.fragment,t),y(Ht.$$.fragment,t),y(Bt.$$.fragment,t),y(Gt.$$.fragment,t),y(Ze.$$.fragment,t),y(Qe.$$.fragment,t),y(Ye.$$.fragment,t),y(Kt.$$.fragment,t),y(eo.$$.fragment,t),y(so.$$.fragment,t),y(Ge.$$.fragment,t),y(Ke.$$.fragment,t),aa=!0)},o(t){k(i.$$.fragment,t),k(ot.$$.fragment,t),k(lt.$$.fragment,t),k(ct.$$.fragment,t),k(je.$$.fragment,t),k(pt.$$.fragment,t),k(ht.$$.fragment,t),k(ft.$$.fragment,t),k(ut.$$.fragment,t),k(wt.$$.fragment,t),k(Ee.$$.fragment,t),k(Pe.$$.fragment,t),k(Ae.$$.fragment,t),k($t.$$.fragment,t),k(yt.$$.fragment,t),k(xt.$$.fragment,t),k(ze.$$.fragment,t),k(Oe.$$.fragment,t),k(De.$$.fragment,t),k(jt.$$.fragment,t),k(Ct.$$.fragment,t),k(zt.$$.fragment,t),k(Ve.$$.fragment,t),k(Ne.$$.fragment,t),k(We.$$.fragment,t),k(Ot.$$.fragment,t),k(Dt.$$.fragment,t),k(Xt.$$.fragment,t),k(Xe.$$.fragment,t),k(He.$$.fragment,t),k(Be.$$.fragment,t),k(Ht.$$.fragment,t),k(Bt.$$.fragment,t),k(Gt.$$.fragment,t),k(Ze.$$.fragment,t),k(Qe.$$.fragment,t),k(Ye.$$.fragment,t),k(Kt.$$.fragment,t),k(eo.$$.fragment,t),k(so.$$.fragment,t),k(Ge.$$.fragment,t),k(Ke.$$.fragment,t),aa=!1},d(t){o(c),t&&o(_),t&&o(d),T(i),t&&o(Mn),t&&o(se),T(ot),t&&o(zn),t&&o(Fe),t&&o(On),t&&o(ho),t&&o(Dn),t&&o(mo),t&&o(Ln),t&&o(fo),t&&o(Vn),t&&o(Z),t&&o(Nn),t&&o(Q),t&&o(Wn),t&&o(re),T(lt),t&&o(In),t&&o(V),T(ct),T(je),t&&o(Xn),t&&o(ce),T(pt),t&&o(Hn),t&&o(de),T(ht),t&&o(Bn),t&&o(pe),T(ft),t&&o(Rn),t&&o(q),T(ut),T(wt),T(Ee),T(Pe),T(Ae),t&&o(Zn),t&&o(me),T($t),t&&o(Qn),t&&o(E),T(yt),T(xt),T(ze),T(Oe),T(De),t&&o(Yn),t&&o(ge),T(jt),t&&o(Jn),t&&o(x),T(Ct),T(zt),T(Ve),T(Ne),T(We),t&&o(Gn),t&&o(ve),T(Ot),t&&o(Kn),t&&o(j),T(Dt),T(Xt),T(Xe),T(He),T(Be),t&&o(ea),t&&o(Se),T(Ht),t&&o(ta),t&&o(C),T(Bt),T(Gt),T(Ze),T(Qe),T(Ye),t&&o(oa),t&&o($e),T(Kt),t&&o(na),t&&o(P),T(eo),T(so),T(Ge),T(Ke)}}}const Yc={local:"unispeechsat",sections:[{local:"overview",title:"Overview"},{local:"transformers.UniSpeechSatConfig",title:"UniSpeechSatConfig"},{local:"transformers.models.unispeech_sat.modeling_unispeech_sat.UniSpeechSatForPreTrainingOutput",title:"UniSpeechSat specific outputs"},{local:"transformers.UniSpeechSatModel",title:"UniSpeechSatModel"},{local:"transformers.UniSpeechSatForCTC",title:"UniSpeechSatForCTC"},{local:"transformers.UniSpeechSatForSequenceClassification",title:"UniSpeechSatForSequenceClassification"},{local:"transformers.UniSpeechSatForAudioFrameClassification",title:"UniSpeechSatForAudioFrameClassification"},{local:"transformers.UniSpeechSatForXVector",title:"UniSpeechSatForXVector"},{local:"transformers.UniSpeechSatForPreTraining",title:"UniSpeechSatForPreTraining"}],title:"UniSpeech-SAT"};function Jc(U){return Cc(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ad extends Uc{constructor(c){super();Fc(this,c,Jc,Qc,xc,{})}}export{ad as default,Yc as metadata};
